Index: collections/documented-examples/trunk/dls-e/etc/dls.Keyword.txt
===================================================================
--- collections/documented-examples/trunk/dls-e/etc/dls.Keyword.txt	(revision 19342)
+++ 	(revision )
@@ -1,109 +1,0 @@
-"achieve gender equality"	1	"achieve gender equality"
-"add fish, mollusc and crab culture or duck raising as livelihoods for coastal communities"	2	"add fish, mollusc and crab culture or duck raising as livelihoods for coastal communities"
-"apply 50 of the best agricultural technologies to help woman inprove their households"	3	"apply 50 of the best agricultural technologies to help woman inprove their households"
-"build houses of earth"	4	"build houses of earth"
-"care for personal safety in cross-cultural situations"	5	"care for personal safety in cross-cultural situations"
-"care for the refugees"	6	"care for the refugees"
-"choose the best energy options for urban households"	7	"choose the best energy options for urban households"
-"combine agriculture and aquaculture through farmen-proven technologies"	8	"combine agriculture and aquaculture through farmen-proven technologies"
-"conserve food with solar energy"	9	"conserve food with solar energy"
-"conserve soils and water"	10	"conserve soils and water"
-"construct and maintain hydrams"	11	"construct and maintain hydrams"
-"control and treat animal diseases naturally"	12	"control and treat animal diseases naturally"
-"create low-income housing projects"	13	"create low-income housing projects"
-"cultivate mushrooms"	14	"cultivate mushrooms"
-"cure animals with herbal medicines"	15	"cure animals with herbal medicines"
-"design and manage community projects"	16	"design and manage community projects"
-"design and manage integrated agroforestry and soil and water conservation systems for family farms"	17	"design and manage integrated agroforestry and soil and water conservation systems for family farms"
-"design passively solar heated and naturally cooled housing"	18	"design passively solar heated and naturally cooled housing"
-"establish and manage a seed and tree nursery"	19	"establish and manage a seed and tree nursery"
-"examine and treat animals through simple methods"	20	"examine and treat animals through simple methods"
-"farm a multitude of traditional field crops"	21	"farm a multitude of traditional field crops"
-"farm snails"	22	"farm snails"
-"foster employment in a village"	23	"foster employment in a village"
-"garden bio-intensively in combination with creative agro-forestry"	24	"garden bio-intensively in combination with creative agro-forestry"
-"generate incomes for women through building activities"	25	"generate incomes for women through building activities"
-"get access to water by constructing wells"	26	"get access to water by constructing wells"
-"have an equal woman participation in settlement management"	27	"have an equal woman participation in settlement management"
-"help youth at risk"	28	"help youth at risk"
-"illustrate and animate lessons"	29	"illustrate and animate lessons"
-"implement agenda 21"	30	"implement agenda 21"
-"improve food and nutrition in the village"	31	"improve food and nutrition in the village"
-"improve your natural livestock and poultry production results"	32	"improve your natural livestock and poultry production results"
-"integrate woman in a housing and settlement program"	33	"integrate woman in a housing and settlement program"
-"introduce community participation in problem solving"	34	"introduce community participation in problem solving"
-"introduce little-known Asian farm animals with a promising future"	35	"introduce little-known Asian farm animals with a promising future"
-"introduce small animals and micro-livestock in your farm"	36	"introduce small animals and micro-livestock in your farm"
-"learn about the family and family size"	37	"learn about the family and family size"
-"learn about the tens of Basic Human Needs lists"	38	"learn about the tens of Basic Human Needs lists"
-"learn everything about ecologicaly integrated rice production methods"	39	"learn everything about ecologicaly integrated rice production methods"
-"learn from past marine fisheries case studies from the Peace Corps"	40	"learn from past marine fisheries case studies from the Peace Corps"
-"learn to be a leader"	41	"learn to be a leader"
-"make building blocks for an income"	42	"make building blocks for an income"
-"make charcoal on a small scale level"	43	"make charcoal on a small scale level"
-"make cities more sustainable"	44	"make cities more sustainable"
-"make many useful tools using basic techniques of blacksmithing"	45	"make many useful tools using basic techniques of blacksmithing"
-"make tools : hammers - saws - drills - screwdrivers - balances and much more"	46	"make tools : hammers - saws - drills - screwdrivers - balances and much more"
-"manage a city financially"	47	"manage a city financially"
-"manage records and archives"	48	"manage records and archives"
-"manage the accounting for a micro-business"	49	"manage the accounting for a micro-business"
-"manage trees for your benefit"	50	"manage trees for your benefit"
-"measure how the village population changes"	51	"measure how the village population changes"
-"organize activities for the youth"	52	"organize activities for the youth"
-"organize and manage self-help construction projects"	53	"organize and manage self-help construction projects"
-"organize self-help through co-operation"	54	"organize self-help through co-operation"
-"plan and construct a sanitary health centre or small hospital"	55	"plan and construct a sanitary health centre or small hospital"
-"plan national parks for ecodevelopment"	56	"plan national parks for ecodevelopment"
-"plan the construction industry in function of local people and knowledge"	57	"plan the construction industry in function of local people and knowledge"
-"plan the family size and adhere to responsable parenthood"	58	"plan the family size and adhere to responsable parenthood"
-"practice forestry in the Afircan region"	59	"practice forestry in the Afircan region"
-"practice intensive vegetable gardening for resale and self-sufficiency"	60	"practice intensive vegetable gardening for resale and self-sufficiency"
-"practive basic veterinary care"	61	"practive basic veterinary care"
-"prepare for childbirth as a health worker"	62	"prepare for childbirth as a health worker"
-"prepare oral rehydration solutions"	63	"prepare oral rehydration solutions"
-"prevent alcoholism in developing countries"	64	"prevent alcoholism in developing countries"
-"produce learning materials"	65	"produce learning materials"
-"produce rice"	66	"produce rice"
-"produce root crops for food, feed and income"	67	"produce root crops for food, feed and income"
-"produce starchy crops: bananas, taro, cassave, Yams, sweet potatoes, potatoes, onions"	68	"produce starchy crops: bananas, taro, cassave, Yams, sweet potatoes, potatoes, onions"
-"protect and preserve biodiversity"	69	"protect and preserve biodiversity"
-"protect, manage and care for the environment and ecosystems on a local scale"	70	"protect, manage and care for the environment and ecosystems on a local scale"
-"provide basic settlement infrastructure"	71	"provide basic settlement infrastructure"
-"provide good information on human growth"	72	"provide good information on human growth"
-"provide literacy for woman"	73	"provide literacy for woman"
-"purify water"	74	"purify water"
-"raise poultry"	75	"raise poultry"
-"record and use indigenous knowledge"	76	"record and use indigenous knowledge"
-"recycle goods and avoid pollution"	77	"recycle goods and avoid pollution"
-"reforest the Pacific Islands"	78	"reforest the Pacific Islands"
-"regenerate hills and increase hill-farming agricultural fields and crops"	79	"regenerate hills and increase hill-farming agricultural fields and crops"
-"restore library archives"	80	"restore library archives"
-"romote youth development"	81	"romote youth development"
-"space children"	82	"space children"
-"start freshwater fisheries"	83	"start freshwater fisheries"
-"start a back-yard or commercial rabbit production"	84	"start a back-yard or commercial rabbit production"
-"start a biogas/ biofertilizer business"	85	"start a biogas/ biofertilizer business"
-"start a butterfly farm"	86	"start a butterfly farm"
-"start beneficent home-making programs for woman and village workers"	87	"start beneficent home-making programs for woman and village workers"
-"store grains in a small farm setting"	88	"store grains in a small farm setting"
-"take community nutrition action for child survival"	89	"take community nutrition action for child survival"
-"take national languages into account"	90	"take national languages into account"
-"take optimally care of crops"	91	"take optimally care of crops"
-"teach about HIV/AIDS in the classroom"	92	"teach about HIV/AIDS in the classroom"
-"teach children to learn in the whole garden"	93	"teach children to learn in the whole garden"
-"teach conservation in developing countries"	94	"teach conservation in developing countries"
-"teach technical skills : metal - woodworking - plumbing - auto-mechanics"	95	"teach technical skills : metal - woodworking - plumbing - auto-mechanics"
-"train adults for literacy"	96	"train adults for literacy"
-"train elected officials"	97	"train elected officials"
-"train for agroforestry"	98	"train for agroforestry"
-"train for beekeeping"	99	"train for beekeeping"
-"train for rural energy surveys"	100	"train for rural energy surveys"
-"train people in small-scale irrigation systems"	101	"train people in small-scale irrigation systems"
-"train woman to become entrepreneurs"	102	"train woman to become entrepreneurs"
-"use animal traction"	103	"use animal traction"
-"use audio-visual communication techniques"	104	"use audio-visual communication techniques"
-"use the best teaching tools for better health education"	105	"use the best teaching tools for better health education"
-"use wind systems for pumping water"	106	"use wind systems for pumping water"
-"utilize and construct pit silos"	107	"utilize and construct pit silos"
-"utilize biomass gasification for energy production"	108	"utilize biomass gasification for energy production"
-"utilize the Water Buffalo more effectively"	109	"utilize the Water Buffalo more effectively"
Index: collections/documented-examples/trunk/dls-e/etc/dls.Organization.txt
===================================================================
--- collections/documented-examples/trunk/dls-e/etc/dls.Organization.txt	(revision 19342)
+++ 	(revision )
@@ -1,16 +1,0 @@
-"ACCU"	1	"ACCU"
-"Agenda 21"	2	"Agenda 21"
-"Alkire"	3	"Alkire"
-"BOSTID"	4	"BOSTID"
-"CPS"	5	"CPS"
-"Chandra"	6	"Chandra"
-"EC Courier"	7	"EC Courier"
-"FAO"	8	"FAO"
-"FAO Better Farming series"	9	"FAO Better Farming series"
-"Habitat"	10	"Habitat"
-"Inforse"	11	"Inforse"
-"International Institute for Rural Reconstruction"	12	"International Institute for Rural Reconstruction"
-"NGLS"	13	"NGLS"
-"Peace Corps"	14	"Peace Corps"
-"UNESCO"	15	"UNESCO"
-"World Bank"	16	"World Bank"