Index: collections/documented-examples/trunk/dls-e/etc/collect.cfg
===================================================================
--- collections/documented-examples/trunk/dls-e/etc/collect.cfg	(revision 19343)
+++ collections/documented-examples/trunk/dls-e/etc/collect.cfg	(revision 19356)
@@ -248,37 +248,20 @@
 <i>mode=override</i>).\n
 
-*** TODO***
-<p><b>Hierarchy files</b>. The subject hierarchy file <a
-href=\"_httpcollection_/etc/dls.Subject.txt\" target=text>dls.Subject.txt</a> contains a
-succession of lines each of which has three items. The first and last items
-are text strings, and they are the same. The middle item is a number that
-defines the position in the hierarchy. The first string is matched against the
-metadata that occurs in the <i>metadata.xml</i> file described above; the last
-one is the string that describes that node of the hierarchy on the web pages
-that Greenstone generates.\n
-
-<p>
-For example, the first line contains the three items \"Industry, Manufacture
-and Services\", 1, and \"Industry, Manufacture and Services\". The middle one,
-the numeral 1, indicates that this subject appears at the first position of the
-<a href=\"_gwcgi_?l=_cgiargl_&c=_cgiargc_&a=d&cl=CL1\">subject hierarchy</a>).
-The first item, the string \"Industry, Manufacture and Services\", is what appears in
-the <a href=\"_httpcollection_/import/t0021e/metadata.xml\" target=text>metadata.xml</a> file
-as <i>Subject</i> metadata. The third item, which happens to be the same string,
-is what appears as the text in the first position of the subject hierarchy.
-
-<p>
-The organization hierarchy file
-<a href=\"_httpcollection_/etc/dls.Organization.txt\" target=text>dls.Organization.txt</a>
-has exactly the same structure. Again, the first and last text strings on each
-line are the same because the metadata values in <i>metadata.xml</i> are
-exactly what should be shown on the Greenstone web pages. The number between
-defines the position in the hierarchy: in this case the hierarchy is flat and
-the position is simply an integer that determines the order of the list.\n
-
-<p>
-The <i>Keyword</i> classifier is also a hierarchy classifier, in this case
-based on <i>Keyword</i> metadata. This is to allow for the possibility that two
-different documents have the same keyword.\n
+<p><b>Hierarchy files</b>. Hierarchy files contain a
+succession of lines each of which has three items. **_text12_ starts here. **The first item is a text string which is matched against the metadata that occurs in the <i>metadata.xml</i> file described above. The second item is a number that defines the position in the hierarchy. The third item is a text string that describes the node of the hierarchy on the web pages that Greenstone generates.
+<p>
+For example, the following shows three lines from the subject hierarchy file <a href=\"_httpcollection_/etc/dls.Subject.txt\" target=text>dls.Subject.txt</a>.
+
+<pre>
+\"Animal Husbandry and Animal Product Processing\"	7	\"Animal Husbandry and Animal Product Processing\"
+\"Animal Husbandry and Animal Product Processing|Cattle\"	7.1	\"Cattle\"
+\"Animal Husbandry and Animal Product Processing|Other animals (micro-livestock, little known animals, silkworms, reptiles, frogs, snails, game, etc.)\"	7.2	\"Other animals (micro-livestock, little known animals, silkworms, reptiles, frogs, snails, game, etc.)\"
+</pre>
+
+These three lines define one top level bookshelf (at position 7), titled \"Animal Husbandry and Animal Product Processing\", with two bookshelves underneath it, titled \"Cattle\" and \"Other animals (micro-livestock, little known animals, silkworms, reptiles, frogs, snails, game, etc.)\" respectively.
+
+In this case, the first strings (and therefore the entries in metadata.xml files) contain the entire hierarchy values. Levels in the hierarchy are separated by \"|\". They could be used directly by a <i>Hierarchy</i> classifier without the use of the hierarchy file. However, then the entries would be ordered alphabetically, not in the special order defined by the file.
+
+The <a href=\"_httpcollection_/etc/dls.AZList.txt\" target=text>dls.AZList.txt</a> hierarchy file used by the titles classifier contains a similar structure. Ordinarily, a titles browser would use a <i>List</i> (or <i>AZList</i>) classifier. In this case, we want to predefine the A-Z groupings, and include a separate entry for periodicals, as can be seen <a href=\"_gwcgi_?l=_cgiargl_&c=_cgiargc_&a=d&cl=CL2.7\">here</a>.
 "
 
@@ -388,18 +371,7 @@
 
 <p>
-<b>Fichiers d\'hiÃ©rarchie</b>. Le fichier d\'hiÃ©rarchie de sujet <a
-href=\"_httpcollection_/etc/dls.Subject.txt\" target=text>dls.Subject.txt</a> contient
-une suite de lignes dont chacune a trois Ã©lÃ©ments. Le premier et le dernier Ã©lÃ©ment sont
-des chaÃ®nes de textes, et ils sont identiques. L\'Ã©lÃ©ment du milieu est un nombre qui dÃ©finit la position dans la hiÃ©rarchie. La premiÃšre chaÃ®ne est ajustÃ©e sur la mÃ©ta-donnÃ©e qui intervient dans le fichier <i>metadata.xml</i> dÃ©crit ci-dessus; la derniÃšre est la chaÃ®ne qui dÃ©crit le n\'ud de la
-hiÃ©rarchie sur les pages web que Greenstone gÃ©nÃšre.
-
-<p>
-Par exemple, la premiÃšre ligne contient les trois Ã©lÃ©ments \"Industry, Manufacture, and Services\", 1, et \"Industry, Manufacture and Services\". Celui du milieu, le nombre 1, indique que ce sujet apparaÃ®t en premiÃšre position de <a href=\"_gwcgi_?l=_cgiargl_&c=_cgiargc_&a=d&cl=CL1\">subject Hierarchy</a>). Le premier Ã©lÃ©ment, la chaÃ®ne \"Industry, Manufacture and Services\", apparaÃ®t dans le fichier <a href=\"_httpcollection_/import/t0021e/metadata.xml\" target=text>metadata.xml</a> comme mÃ©ta-donnÃ©e <i>Subject</i>. Le troisiÃšme Ã©lÃ©ment qui se trouve Ãªtre la mÃªme chaÃ®ne, apparaÃ®t dans le texte en premiÃšre position de la hiÃ©rarchie de sujet.
-
-<p>
-Le fichier d\'hiÃ©rarchie d\'organisation <a href=\"_httpcollection_/etc/dls.Organization.txt\" target=text>dls.Organization.txt</a> a exactement la mÃªme structure. De nouveau, les premiÃšres et derniÃšres chaÃ®nes de texte sont les mÃªmes sur chaque ligne parce que les valeurs de mÃ©ta-donnÃ©e dans <i>metadata.xml</i> sont exactement ce qui doit Ãªtre affichÃ© sur les pages d\'accueil de Greenstone. Le nombre intermÃ©diaire dÃ©finit la position dans la hiÃ©rarchie: dans ce cas-ci, la hiÃ©rarchie est plate et la position est tout simplement un entier qui dÃ©termine l\'ordre de la liste.
-
-<p>
-Le classificateur <i>Keyword</i> est aussi un classificateur de hiÃ©rarchie, basÃ© dans ce cas-ci sur la mÃ©ta-donnÃ©e <i>Keyword</i>. Ceci pour offrir la possibilitÃ© Ã  deux documents diffÃ©rents d\'avoir le mÃªme mot-clÃ©.
+<b>Fichiers d\'hiÃ©rarchie</b>. _text12_
+
+
 "
 
@@ -503,14 +475,5 @@
 <p>
 
-<b>Archivos de jerarquÃ­a</b>. El archivo de jerarquÃ­a del asunto <a href=\"_httpcollection_/etc/dls.Subject.txt\" target=text>dls.Subject.txt</a> contiene una serie de lÃ­neas cada una de las cuales tiene tres Ã­tems. El primero y Ãºltimo son cadenas de texto y son iguales. El Ã­tem intermedio es un nÃºmero que define la posiciÃ³n en la jerarquÃ­a. La primer cadena corresponde al metadato que ocurre en el archivo <i>metadata.xml</i> que se describe arriba, mientras que la Ãºltima describe el nodo de la jerarquÃ­a en las pÃ¡ginas Web que Greenstone genera.
-<p>
-
-Por ejemplo, la primera lÃ­nea contiene los tres Ã­tems \"Industria, Manufactura y Servicios\", 1 y finalmente \"Industria, Manufactura y Servicios\". El Ã­tem intermedio con el numeral 1 indica que este asunto aparece en la primera posiciÃ³n de la <a href=\"_gwcgi_?l=_cgiargl_&c=_cgiargc_&a=d&cl=CL1\">jerarquÃ­a de asunto</a>. El primer Ã­tem con la cadena \"Industria, Manufactura y Servicios\" es lo que aparece en el archivo <a href=\"_httpcollection_/import/t0021e/metadata.xml\" target=text>metadata.xml</a> como <i>Asunto</i>. El tercer Ã­tem es el mismo y es lo que aparece como texto en la primera posiciÃ³n de la jerarquÃ­a del asunto.
-<p>
-
-El archivo de jerarquÃ­a de la organizaciÃ³n <a href=\"_httpcollection_/etc/dls.Organization.txt\" target=text>dls.Organization.txt</a> tiene exactamente la misma estructura. Nuevamente la primera y Ãºltima cadena de texto en cada lÃ­nea son las mismas, ya que los valores de los metadatos que se encuentran en <i>metadata.xml</i> son exactamente lo que se va a mostrar en las pÃ¡ginas Web de Greenstone. El nÃºmero entre ambas define la posiciÃ³n en la jerarquÃ­a: en este caso la jerarquÃ­a es plana y la posiciÃ³n es simplemente un nÃºmero entero que determina el orden de la lista.
-<p>
-
-El clasificador de <i>Palabras Clave</i> tambiÃ©n es un clasificador de jerarquÃ­a, en este caso basado en el metadato <i>Palabra Clave</i>. Esto permite la posibilidad de que dos documentos diferentes tengan la misma palabra clave.
+<b>Archivos de jerarquÃ­a</b>. 
 "
 
@@ -660,29 +623,5 @@
 
 <b>ÐÐµÑÐ°ÑÑ
-ÐžÑÐµÑÐºÐžÐµ ÑÐ°Ð¹Ð»Ñ</b>. ÐÑÐµÐŽÐŒÐµÑ ÐžÐµÑÐ°ÑÑ
-ÐžÑÐµÑÐºÐŸÐ³ÐŸ ÑÐ°Ð¹Ð»Ð° <a href=\"_httpcollection_/etc/dls.Subject.txt\" target=text>dls.Subject.txt</a> ÑÐŸÐŽÐµÑÐ¶ÐžÑ Ð¿ÐŸÑÐ»ÐµÐŽÐŸÐ²Ð°ÑÐµÐ»ÑÐœÐŸÑÑÑ ÑÑÑÐŸÐº, ÐºÐ°Ð¶ÐŽÐ°Ñ ÐžÐ· ÐºÐŸÑÐŸÑÑÑ
- ÐžÐŒÐµÐµÑ ÑÑÐž Ð¿ÑÐœÐºÑÐ°. ÐÐµÑÐ²ÑÐ¹ Ðž Ð¿ÐŸÑÐ»ÐµÐŽÐœÐžÐ¹ Ð¿ÑÐœÐºÑÑ ÑÐ²Ð»ÑÑÑÑÑ ÑÐµÐºÑÑÐŸÐ²ÑÐŒÐž ÑÑÑÐŸÐºÐ°ÐŒÐž Ðž ÐŸÐœÐž ÐŸÐŽÐžÐœÐ°ÐºÐŸÐ²Ñ. Ð¡ÑÐµÐŽÐœÐžÐ¹ Ð¿ÑÐœÐºÑ ÑÐ²Ð»ÑÐµÑÑÑ ÑÐžÑÐ»ÐŸÐŒ, ÐºÐŸÑÐŸÑÐŸÐµ ÐŸÐ¿ÑÐµÐŽÐµÐ»ÑÐµÑ Ð¿ÐŸÐ·ÐžÑÐžÑ Ð² ÐžÐµÑÐ°ÑÑ
-ÐžÐž. ÐÐµÑÐ²Ð°Ñ ÑÑÑÐŸÐºÐ° ÑÐŸÐŸÑÐ²ÐµÑÑÑÐ²ÑÐµÑ ÐŒÐµÑÐ°ÐŽÐ°ÐœÐœÑÐŒ, ÐºÐŸÑÐŸÑÑÐµ ÐœÐ°Ñ
-ÐŸÐŽÑÑÑÑ Ð² ÑÐ°Ð¹Ð»Ðµ ,<i>metadata.xml</i>, ÐŸÐ¿ÐžÑÐ°ÐœÐœÐŸÐŒ Ð²ÑÑÐµ; Ð¿ÐŸÑÐ»ÐµÐŽÐœÑÑ ÑÑÑÐŸÐºÐ° ÐŸÐ¿ÐžÑÑÐ²Ð°ÐµÑ ÑÐŸÑ ÑÐ·ÐµÐ» ÐžÐµÑÐ°ÑÑ
-ÐžÐž ÐœÐ° web-ÑÑÑÐ°ÐœÐžÑÐ°Ñ
- ÑÐµÑÐž, ÐºÐŸÑÐŸÑÑÐµ Ð³ÐµÐœÐµÑÐžÑÑÐµÑ Greenstone.
-<p>
-
-ÐÐ°Ð¿ÑÐžÐŒÐµÑ, Ð¿ÐµÑÐ²Ð°Ñ ÑÑÑÐŸÐºÐ° ÑÐŸÐŽÐµÑÐ¶ÐžÑ ÑÑÐž Ð¿ÑÐœÐºÑÐ° Â«ÐÑÐŸÐŒÑÑÐ»ÐµÐœÐœÐŸÑÑÑ, ÐÐ·Ð³ÐŸÑÐŸÐ²Ð»ÐµÐœÐžÐµ Ðž Ð£ÑÐ»ÑÐ³ÐžÂ», 1, Ðž Â«ÐÑÐŸÐŒÑÑÐ»ÐµÐœÐœÐŸÑÑÑ, ÐÐ·Ð³ÐŸÑÐŸÐ²Ð»ÐµÐœÐžÐµ Ðž Ð£ÑÐ»ÑÐ³ÐžÂ». Ð¡ÑÐµÐŽÐœÐžÐ¹ Ð¿ÑÐœÐºÑ, ÑÐžÑÑÐ° 1, ÑÐºÐ°Ð·ÑÐ²Ð°ÐµÑ, ÑÑÐŸ ÑÑÐŸÑ Ð¿ÑÐµÐŽÐŒÐµÑ Ð¿ÐŸÑÐ²Ð»ÑÐµÑÑÑ ÐœÐ° Ð¿ÐµÑÐ²ÐŸÐ¹ Ð¿ÐŸÐ·ÐžÑÐžÐž Ð² <a href=\"_gwcgi_?l=_cgiargl_&c=_cgiargc_&a=d&cl=CL1\">ÑÐžÑÑÐµÐŒÐµ ÐžÐµÑÐ°ÑÑ
-ÐžÐž</a>. ÐÐµÑÐ²ÑÐ¹ Ð¿ÑÐœÐºÑ, ÑÑÑÐŸÐºÐ° Â«ÐÑÐŸÐŒÑÑÐ»ÐµÐœÐœÐŸÑÑÑ, ÐÐ·Ð³ÐŸÑÐŸÐ²Ð»ÐµÐœÐžÐµ Ðž Ð£ÑÐ»ÑÐ³ÐžÂ» ÑÐ²Ð»ÑÐµÑÑÑ ÑÐµÐŒ, ÑÑÐŸ Ð¿ÐŸÑÐ²Ð»ÑÐµÑÑÑ Ð² ÑÐ°Ð¹Ð»Ðµ <i>metadata.xml</i> ÐºÐ°Ðº ÐŒÐµÑÐ°ÐŽÐ°ÐœÐœÑÐµ <i>ÐÑÐµÐŽÐŒÐµÑÐ°</i>. Ð¢ÑÐµÑÐžÐ¹ Ð¿ÑÐœÐºÑ, ÐºÐŸÑÐŸÑÑÐ¹ Ð¿ÑÐµÐŽÑÑÐ°Ð²Ð»ÐµÐœ Ð°ÐœÐ°Ð»ÐŸÐ³ÐžÑÐœÐŸÐ¹ ÑÑÑÐŸÐºÐŸÐ¹, - ÑÑÐŸ ÑÐŸ, ÑÑÐŸ Ð¿ÐŸÑÐ²Ð»ÑÐµÑÑÑ Ð² Ð²ÐžÐŽÐµ ÑÐµÐºÑÑÐ° Ð² Ð¿ÐµÑÐ²ÐŸÐ¹ Ð¿ÐŸÐ·ÐžÑÐžÐž Ð¿ÑÐµÐŽÐŒÐµÑÐ° ÐžÐµÑÐ°ÑÑ
-ÐžÐž.
-<p>
-
-Ð€Ð°Ð¹Ð» ÐŸÑÐ³Ð°ÐœÐžÐ·Ð°ÑÐžÐž ÐžÐµÑÐ°ÑÑ
-ÐžÐž <a href=\"_httpcollection_/etc/dls.Organization.txt\" target=text>dls.Organization.txt</a> ÐžÐŒÐµÐµÑ ÑÐŸÑÐœÐŸ ÑÐ°ÐºÑÑ Ð¶Ðµ ÑÑÑÑÐºÑÑÑÑ. Ð¢Ð°Ðº Ð¶Ðµ, Ð¿ÐµÑÐ²ÑÐµ Ðž Ð¿ÐŸÑÐ»ÐµÐŽÐœÐžÐµ ÑÑÑÐŸÐºÐž ÑÐµÐºÑÑÐ° ÐœÐ° ÐºÐ°Ð¶ÐŽÐŸÐ¹ Ð»ÐžÐœÐžÐž ÑÐµ Ð¶Ðµ ÑÐ°ÐŒÑÐµ, Ð¿ÐŸÑÐŸÐŒÑ ÑÑÐŸ Ð·ÐœÐ°ÑÐµÐœÐžÑ ÐŒÐµÑÐ°ÐŽÐ°ÐœÐœÑÑ
- Ð² <i>metadata.xml</i> -- ÑÐŸÑÐœÐŸ ÑÐµ Ð¶Ðµ, ÑÑÐŸ ÐŽÐŸÐ»Ð¶ÐœÑ Ð±ÑÑÑ Ð¿ÐŸÐºÐ°Ð·Ð°ÐœÑ ÐœÐ° web-ÑÑÑÐ°ÐœÐžÑÐ°Ñ
- Greenstone. Ð§ÐžÑÐ»ÐŸ ÐŒÐµÐ¶ÐŽÑ ÑÑÐžÐŒÐž ÑÑÑÐŸÐºÐ°ÐŒÐž ÐŸÐ¿ÑÐµÐŽÐµÐ»ÑÐµÑ Ð¿ÐŸÐ·ÐžÑÐžÑ Ð² ÐžÐµÑÐ°ÑÑ
-ÐžÐž: Ð² ÑÑÐŸÐŒ ÑÐ»ÑÑÐ°Ðµ ÐžÐµÑÐ°ÑÑ
-ÐžÑ ÑÐ²Ð»ÑÐµÑÑÑ Ð¿Ð»ÐŸÑÐºÐŸÐ¹, Ðž Ð¿ÐŸÐ·ÐžÑÐžÑ -- Ð¿ÑÐŸÑÑÐŸ ÑÐµÐ»ÐŸÐµ ÑÐžÑÐ»ÐŸ, ÐºÐŸÑÐŸÑÐŸÐµ ÐŸÐ¿ÑÐµÐŽÐµÐ»ÑÐµÑ Ð¿ÐŸÑÑÐŽÐŸÐº Ð² ÑÐ¿ÐžÑÐºÐµ.
-<p>
-
-ÐÐ»Ð°ÑÑÐžÑÐžÐºÐ°ÑÐŸÑ <i>ÐÐ»ÑÑÐµÐ²ÐŸÐµ ÑÐ»ÐŸÐ²ÐŸ</i> ÑÐ°ÐºÐ¶Ðµ ÑÐ²Ð»ÑÐµÑÑÑ ÐºÐ»Ð°ÑÑÐžÑÐžÐºÐ°ÑÐŸÑÐŸÐŒ ÐžÐµÑÐ°ÑÑ
-ÐžÐž, Ð² ÑÑÐŸÐŒ ÑÐ»ÑÑÐ°Ðµ ÐŸÑÐœÐŸÐ²Ð°ÐœÐœÐŸÐŒ ÐœÐ° ÐŒÐµÑÐ°ÐŽÐ°ÐœÐœÑÑ
- <i>ÐÐ»ÑÑÐµÐ²ÐŸÐ³ÐŸ ÑÐ»ÐŸÐ²Ð°</i>. Ð­ÑÐŸ ÐŽÐŸÐ»Ð¶ÐœÐŸ Ð¿ÐŸÐ·Ð²ÐŸÐ»ÐžÑÑ ÑÑÐµÑÑÑ Ð²ÐŸÐ·ÐŒÐŸÐ¶ÐœÐŸÑÑÑ ÑÐŸÐ³ÐŸ, ÑÑÐŸ ÐŽÐ²Ð° ÑÐ°Ð·Ð»ÐžÑÐœÑÑ
- ÐŽÐŸÐºÑÐŒÐµÐœÑÐ° ÑÐŸÐŽÐµÑÐ¶Ð°Ñ ÐŸÐŽÐžÐœÐ°ÐºÐŸÐ²ÐŸÐµ ÐºÐ»ÑÑÐµÐ²ÐŸÐµ ÑÐ»ÐŸÐ²ÐŸ.
+ÐžÑÐµÑÐºÐžÐµ ÑÐ°Ð¹Ð»Ñ</b>. _text12_
+
 "