Index: /collections/documented-examples/trunk/authen-e/etc/collect.cfg
===================================================================
--- /collections/documented-examples/trunk/authen-e/etc/collect.cfg	(revision 19358)
+++ /collections/documented-examples/trunk/authen-e/etc/collect.cfg	(revision 19359)
@@ -168,6 +168,5 @@
 <h3>CÃ³mo trabaja esta colecciÃ³n</h3>
 <p>
-
-_text1_
+El <a href=\"_httpcollection_/etc/collect.cfg\" target=collect.cfg>archivo de configuraciÃ³n</a> es exactamente el mismo que el de la demo original salvo las directivas para la autenticaciÃ³n (y su descripciÃ³n).
 
 <p>
@@ -177,5 +176,6 @@
 La funciÃ³n de autenticaciÃ³n se activa por medio de la directiva <i>authenticate</i> con el valor <i>collection</i> o <i>document</i>, dependiendo de si la autenticaciÃ³n se debe realizar para tener acceso a toda la colecciÃ³n o por cada documento (el valor por omisiÃ³n es <i>colecciÃ³n</i>). Si la autenticaciÃ³n se va a realizar con base en cada <i>documento</i>, entonces se puede establecer una lista de documentos confidenciales (en cuyo caso todos los demÃ¡s son del dominio pÃºblico) o una lista de documentos de dominio pÃºblico (en cuyo caso todos los demÃ¡s documentos son confidenciales) usando las directivas <i>private_documents</i> o <i>public_documents</i>. Los documentos mismos se especifican por medio de los identificadores de documento de Greenstone (separados por espacios). La forma mÃ¡s fÃ¡cil de determinarlos es localizar cada documento en la colecciÃ³n y ver el argumento d en su URL.\n
 
-<p>_text2_\n
+<p>En este caso, hemos usado la opciÃ³n <i>-OIDtype dirname</i> del HTMLPlugin,
+la cual especifica que deben usarse los nombres de las carpetas como identificadores. Esto funciona para cualquier colecciÃ³n en donde cada documento estÃ¡ en una carpeta separada. Hemos usado esta opciÃ³n para asegurarnos de que los identificadores permanezcan inalterados en diferentes plataformas (lo cual no es el caso de los identificadores HASH), ya que aquÃ­ necesitamos especificar identificadores en las directivas de autenticaciÃ³n.\n
 
 La directiva <i>auth_groups</i> especifica los grupos a los cuales se permite el acceso, si el documento (o la colecciÃ³n) es uno de los que requieren autenticaciÃ³n. EstÃ¡ seguida por el nombre del grupo (o una lista de nombres de grupos separados por espacios). Las pÃ¡ginas <i>admin</i> de Greenstone le permiten definir los grupos y aÃ±adir miembros. 
Index: /collections/documented-examples/trunk/bibtex-e/etc/collect.cfg
===================================================================
--- /collections/documented-examples/trunk/bibtex-e/etc/collect.cfg	(revision 19358)
+++ /collections/documented-examples/trunk/bibtex-e/etc/collect.cfg	(revision 19359)
@@ -239,5 +239,5 @@
 contains the original bibliographic record.\n
 <p>
-An additional keyword, \"allfields\", could also be used in the <i>indexers</i> line, specifying that combined searching over all indexes should be available. 
+An additional keyword, \"allfields\", could also be used in the <i>indexes</i> line, specifying that combined searching over all indexes should be available. 
 <p>
 The <i>levels</i> lines specifies only document level, as bibliographic records don't have internal structure.
@@ -431,16 +431,19 @@
 <h3>CÃ³mo trabaja esta colecciÃ³n</h3>
 <p>
-El <a href=\"_httpcollection_/etc/collect.cfg\" target=collect.cfg>archivo de configuraciÃ³n de la colecciÃ³n</a> empieza con la especificaciÃ³n <i>groupsize 200</i>. _text2_ Por lo general las colecciones bibliogrÃ¡ficas tienen muchos documentos pequeÃ±os y al agruparlos se evita que las estructuras de archivos internos de Greenstone se inflen demasiado y ocupen mÃ¡s espacio del necesario.
-<p>
-
-_text1_
-<p>
-
+El <a href=\"_httpcollection_/etc/collect.cfg\" target=collect.cfg>archivo de configuraciÃ³n de la colecciÃ³n</a> empieza con la especificaciÃ³n <i>groupsize 200</i>. Esto agrupa 200 documentos dentro de un Ãºnico archivo. Por lo general las colecciones bibliogrÃ¡ficas tienen muchos documentos pequeÃ±os y al agruparlos se evita que las estructuras de archivos internos de Greenstone se inflen demasiado y ocupen mÃ¡s espacio del necesario.
+<p>
+AdemÃ¡s de los plugins estÃ¡ndar, esta colecciÃ³n utiliza <i>BibTexPlugin</i>, 
+el cual procesa referencias en formato BibTeX  (bien conocido entre los cientÃ­ficos). Se han fijado dos  opciones para BibTexPlugin: 
+<i>-OIDtype assigned -OIDmetadata Number</i>. Esto significa que el elemento de metadato \"Number\" se usarÃ¡ como identificador de registro, en lugar de los identificadores hash de Greenstone. Estas opciones estÃ¡n disponibles para todos los plugins.\n
+
+<p>
 La bÃºsqueda por campos con una interfaz basada en formas se selecciona por medio de la <i>format SearchTypes \"form,plain\"</i> en el archivo de configuraciÃ³n. De hecho, esta colecciÃ³n tambiÃ©n utiliza la <i>forma searchtype de sÃ³lo texto</i>, la cual incluye asimismo un  Ã­ndice de bÃºsqueda de textos completos (ya que <i>form</i> viene primero, Ã©sta es la interfaz por omisiÃ³n; la bÃºsqueda <i>plain</i> se puede seleccionar por medio de la pÃ¡gina de <i>Preferencias</i>).
-<p>
-_text3_
+
+<p>
+La opciÃ³n <i>buildtype</i> muestra que el motor de bÃºsqueda utilizado por defecto es el <i>mgpp</i>. La lÃ­nea <i>indexes</i>  especifica los Ã­ndices \"text\", y \"metadata\". En este caso, \"text\" serÃ¡ el registro original BibTeX. \"metadata\" es una clave especial que significa que debe construirse un Ã­ndice por cada metadato encontrado en la colecciÃ³n. 
+
 AsÃ­, cuando los menÃºs de \"campo\" se despliegan en la <a href=\"_gwcgi_?l=_cgiargl_&c=_cgiargc_&a=q&ct=1&qt=1\">pÃ¡gina de bÃºsqueda</a>, muestran el <i>registro completo</i> seguido de una entrada para cada elemento del metadato. El metadato a nivel de colecciÃ³n <i>collectionmeta</i> se puede especificar para cualquier Ã­ndice con el fin de determinar lo que se llama en el menÃº (excepto metadato, que produce varios Ã­tems). En este caso el <a href=\"_httpcollection_/etc/collect.cfg\" target=collect.cfg>archivo de configuraciÃ³n</a> especifica que el Ã­ndice de texto deberÃ­a llamarse \"registro completo\", debido a que contiene el registro bibliogrÃ¡fico original. 
 <p>
-_text4_
+Una clave adicional, \"allfields\", tambiÃ©n puede usarse en la lÃ­nea <i>indexes</i>, especificando una bÃºsqueda combinada sobre todos los Ã­ndices disponibles.<p> La lÃ­nea <i>levels</i> indica solamente el nivel de documento, ya que los registros bibliogrÃ¡ficos no poseen una estructura interna.
 <p>
 Esta colecciÃ³n contiene exploradores de <i>TÃ­tulo</i>, <i>Autor</i> y <i>Fecha</i>, asÃ­ como un tipo especial de Ã­ndice de frases llamado \"Phind\". El clasificador <i>AZCompactList</i> que se usa para el explorador de <i>Autor</i> es como <i>AZList</i>, pero genera un estante para los Ã­tems duplicados tal como se muestra <a href=\"_gwcgi_?l=_cgiargl_&c=_cgiargc_&a=d&cl=CL2\">aquÃ­</a>. El plugin BibTeX registra a cada autor como metadato de <i>Author</i>. TambiÃ©n coloca una lista de todos los autores en el elemento del metadato <i>Creator</i>. Como resultado de ello, el clasificador <i>AZCompactList</i> se basa en el <i>Author</i>. Sin embargo, Greenstone tiene un botÃ³n estÃ¡ndar que lee los <i>autores</i> y cuyo nombre es (de manera un tanto confusa) \"Creator\", por lo que el nombre de este botÃ³n ha sido especificado para el clasificador. 
Index: /collections/documented-examples/trunk/bibtex-supp-e/etc/collect.cfg
===================================================================
--- /collections/documented-examples/trunk/bibtex-supp-e/etc/collect.cfg	(revision 19358)
+++ /collections/documented-examples/trunk/bibtex-supp-e/etc/collect.cfg	(revision 19359)
@@ -354,5 +354,5 @@
 supercollection documented-examples/bibtex-supp-e documented-examples/bibtex-e
 </pre>\n
-_text1_
+La parte \"documented-examples/\" de los nombres de las colecciones es necesaria porque estas colecciones residen en el subgrupo de colecciones \"documented-examples\" en la carpeta collect.\n
 
 Este enunciado sÃ³lo afecta a la <i>bÃºsqueda</i> y no a los navegadores. Esto significa que cuando se hace una bÃºsqueda tambiÃ©n se busca automÃ¡ticamente en la colecciÃ³n bibtex-e. Por ejemplo, si se mira en la lista de tÃ­tulos de la \"a\" a la \"z\" se verÃ¡ que un par de Ã­tems son acerca de \"event\". Pero si se <a href=\"_gwcgi_?l=_cgiargl_&c=_cgiargc_&a=q&ct=1&qt=1&r=1&hs=1&fqa=0&fqv=event,,,&fqf=TX,CR,LA,SO\">busca</a> <i>event</i>, entonces aparecerÃ¡n 17 documentos. Esto se debe a que se encontraron al mismo tiempo 12 documentos en la colecciÃ³n bibliogrÃ¡fica.
Index: /collections/documented-examples/trunk/dls-e/etc/collect.cfg
===================================================================
--- /collections/documented-examples/trunk/dls-e/etc/collect.cfg	(revision 19358)
+++ /collections/documented-examples/trunk/dls-e/etc/collect.cfg	(revision 19359)
@@ -443,5 +443,5 @@
 <p>
 
-<b>Metadatos a nivel de colecciÃ³n</b>. Las lÃ­neas de <i>collectionmeta</i> en el archivo de configuraciÃ³n tambiÃ©n son estÃ¡ndar en todas las colecciones Greenstone. Contienen informaciÃ³n general acerca de la colecciÃ³n definiendo su nombre, y una descripciÃ³n que aparece en su pÃ¡gina inicial. La descripciÃ³n (en <i>collectionextra</i>) se puede ver en la pÃ¡gina inicial de la colecciÃ³n DLS (_text2_).
+<b>Metadatos a nivel de colecciÃ³n</b>. Las lÃ­neas de <i>collectionmeta</i> en el archivo de configuraciÃ³n tambiÃ©n son estÃ¡ndar en todas las colecciones Greenstone. Contienen informaciÃ³n general acerca de la colecciÃ³n definiendo su nombre, y una descripciÃ³n que aparece en su pÃ¡gina inicial. La descripciÃ³n (en <i>collectionextra</i>) se puede ver en la pÃ¡gina inicial de la colecciÃ³n DLS (este texto es parte de Ã©l). 
 <p>
 
Index: /collections/documented-examples/trunk/etc/collect.cfg
===================================================================
--- /collections/documented-examples/trunk/etc/collect.cfg	(revision 19358)
+++ /collections/documented-examples/trunk/etc/collect.cfg	(revision 19359)
@@ -7,2 +7,11 @@
 collectionmeta collectionname [l=en]   "Documented Example Collections"
 collectionmeta collectionextra [l=en]  "A group of collections whose "about" page describes how they are constructed"
+
+# -- Spanish text ----------------
+collectionmeta collectionname [l=es]   "Colecciones de ejemplo documentadas"
+collectionmeta collectionextra [l=es]  "Un grupo de colecciones cuya pÃ¡gina "Acerca de" describe como son construidas."
+
+# -- Chinese text ----------------
+collectionmeta collectionname [l=zh]   "æŒç€ºç€ºèæ¶è"
+collectionmeta collectionextra [l=zh]  "è¿ç»æ¶èçâå
+³äºâé¡µé¢å°æè¿°åŠäœæå»ºè¯¥æ¶èã"
Index: /collections/documented-examples/trunk/isis-e/etc/collect.cfg
===================================================================
--- /collections/documented-examples/trunk/isis-e/etc/collect.cfg	(revision 19358)
+++ /collections/documented-examples/trunk/isis-e/etc/collect.cfg	(revision 19359)
@@ -311,6 +311,8 @@
 
 <p>
-El <a href=\"_httpcollection_/etc/collect.cfg\" target=collect.cfg>archivo de configuraciÃ³n de la colecciÃ³n</a> especifica el plugin ISISPlugin, el cual procesa las bases de datos CDS/ISIS. _text1_ En este caso al plugin se le ha dado un argumento <i>input_encoding</i>, ya que algunas entradas de la base de datos contienen caracteres extendidos (en una forma que se uso en versiones tempranas del sistema operativo DOS). TambiÃ©n se le ha dotado de un argumento separador de subcampos, cuyo propÃ³sito se explica mÃ¡s adelante.
-_text2_
+El <a href=\"_httpcollection_/etc/collect.cfg\" target=collect.cfg>archivo de configuraciÃ³n de la colecciÃ³n</a> especifica el plugin ISISPlugin, el cual procesa las bases de datos CDS/ISIS. Estas bases de datos contienen varios archivos, pero ISISPlugin solo utiliza dos: CDS.fdt (donde CDS es el nombre de la base de datos), el cual contiene los nombres de los campos usados en la base de datos, y CDS.mst, el cual contiene los registros. Cada vez que ISISPlugin encuentra un archivo \".mst\", busca el archivo \".fdt\" correspondiente. En este caso al plugin se le ha dado un argumento <i>input_encoding</i>, ya que algunas entradas de la base de datos contienen caracteres extendidos (en una forma que se uso en versiones tempranas del sistema operativo DOS). TambiÃ©n se le ha dotado de un argumento separador de subcampos, cuyo propÃ³sito se explica mÃ¡s adelante.
+
+La opciÃ³n <i>-OIDtype incremental</i> se utiliza para generar identificadores que sean consistentes a travÃ©s de diferentes sistemas operativos (lo que no ocurre con identificadores HASH), de forma que podamos tener el enlace al documento en esta descripciÃ³n.
+
 <p>
 Al igual que la <a href=\"_gwcgi_?l=_cgiargl_&a=p&p=about&c=documented-examples/bibtex-e\">colecciÃ³n bibliogrÃ¡fica</a>, esta colecciÃ³n incorpora una <a href=\"_gwcgi_?l=_cgiargl_&a=q&c=_cgiargc_&ct=1&qto=3&qt=1\">interfaz de bÃºsqueda basada en formas</a> que permite la bÃºsqueda por campos. Esto se especifica por medio de la lÃ­nea <i>format SearchTypes \"form,plain\"</i> (forma searchtype de sÃ³lo texto) en el archivo de configuraciÃ³n; el argumento <i>plain</i> (sÃ³lo texto) asegura que se cuenta igualmente con una funciÃ³n de bÃºsqueda de texto completo (la cual se puede seleccionar en la pÃ¡gina de <a href=\"_gwcgi_?l=_cgiargl_&a=p&c=_cgiargc_&p=preferences\">Preferencias</a>). La lÃ­nea <i>groupsize 100</i> junta los documentos en grupos de 100 (tal como se explicÃ³ en la <a href=\"_gwcgi_?l=_cgiargl_&a=p&p=about&c=documented-examples/bibtex-e\">colecciÃ³n bibliogrÃ¡fica</a>).
Index: /collections/documented-examples/trunk/marc-e/etc/collect.cfg
===================================================================
--- /collections/documented-examples/trunk/marc-e/etc/collect.cfg	(revision 19358)
+++ /collections/documented-examples/trunk/marc-e/etc/collect.cfg	(revision 19359)
@@ -146,7 +146,7 @@
 <p>
 
-El <a href=\"_httpcollection_/etc/collect.cfg\" target=collect.cfg>archivo de configuraciÃ³n</a> utiliza <i>MARCPlugin</i> ademÃ¡s de los tres plugins estÃ¡ndar. Existen tres clasificadores basados en los metadatos <i>dc.TÃ­tulo</i>, <i>dc.Creador</i> y <i>dc.Asunto</i>. _text1_  Esto se especifica como una expresiÃ³n regular PERL y ordena los caracteres (como la puntuaciÃ³n que se encuentra al final) a partir de las cadenas para su presentaciÃ³n en pantalla. 
-<p>
-_text2_
+El <a href=\"_httpcollection_/etc/collect.cfg\" target=collect.cfg>archivo de configuraciÃ³n</a> utiliza <i>MARCPlugin</i> ademÃ¡s de los tres plugins estÃ¡ndar. Existen tres clasificadores basados en los metadatos <i>dc.TÃ­tulo</i>, <i>dc.Creador</i> y <i>dc.Asunto</i>. El clasificador <i>dc.Title</i> es una AZList, mientras que los otros dos son AZCompactList, que agrupa items con el mismo metadato en un "estante". El argumento <i>-removesuffix</i> para el clasificador por <i>Title</i> y por <i>Creator</i> remueve los sufijos de la cadena de caracteres (<i>dc.Title</i> y <i>dc.Creator</i> respectivamente). Esto se especifica como una expresiÃ³n regular PERL y ordena los caracteres (como la puntuaciÃ³n que se encuentra al final) a partir de las cadenas para su presentaciÃ³n en pantalla. 
+<p>
+La cadena de formateo <i>VList</i> controla la forma en la que se muestran los resultados y todos los clasificadores. Para los estantes, el nÃºmero de documentos contenidos se muestra en la parte derecha. Para los documentos, se muestra el metadato <i>dc.Title</i>, junto al <i>dc.Creator</i> y el   <i>dc.Publisher</i>. <i>[sibling:dc.Creator]</i> se utiliza debido a que dc.Creator tiene mÃºltiples valores, y especifica que se deben mostrar todos los valores, no solamente el primero.
 
 <p>
@@ -165,5 +165,14 @@
 La versiÃ³n estÃ¡ndar de este archivo se basa libremente en el mapeo de MARC a Dublin Core que se encuentra en <a href=\"http://www.loc.gov/marc/marc2dc.html\">http://www.loc.gov/marc/marc2dc.html</a> (el cual asume USMARC/MARC21).
 
-_text3_
+MÃºltiples campos MARC pueden mapearse a un mismo campo Dublin Core. 
+Por ejemplo, los campos 720 (\"Uncontrolled name\"), 100 (\"Personal name\"), 
+110 (\"Corporate name\") y 111 (\"Meeting name\") mapean todos a <i>dc.Creator</i>. Los registros actuales de MARC normalmente definen solo uno de esos campos, pero de cualquier manera Greenstone permite metadatos multivalor. \n
+<p>
+Algunos mapeos dependen de los subcampos. Por ejemplo, el campo MARC 260 contiene informaciÃ³n sobre la publicaciÃ³n y la distribuciÃ³n. Subcampos \"c\" (Date of Publication) y \"g\" (Date of manufacture) son mapeados a <i>dc.Date</i>, usando la siguiente linea de configuraciÃ³n: 
+<blockquote>
+260$c$g     -&gt; dc.Date
+</blockquote>
+
+Greenstone tambiÃ©n provee un archivo para el mapeo de MARC a Dublin Core <b>cualificado</b>: <a href=\"_httpprefix_/etc/marc2qdc.txt\" target=marc2qdc>greenstone/etc/marc2qdc.txt</a>. Puede ser usado por el plugin de MARC configurando el parÃ¡metro <i>-metadata_mapping_file</i> con \"marc2qdc.txt\".
 "
 
Index: /collections/documented-examples/trunk/pagedimg-e/etc/collect.cfg
===================================================================
--- /collections/documented-examples/trunk/pagedimg-e/etc/collect.cfg	(revision 19358)
+++ /collections/documented-examples/trunk/pagedimg-e/etc/collect.cfg	(revision 19359)
@@ -67,4 +67,8 @@
 collectionmeta  .section:text [l=en] "newspaper pages"
 
+# -- Spanish strings --------------------
+collectionmeta	collectionname [l=es] "Ejemplo de imÃ¡genes paginadas"
+collectionmeta  .section:text [l=es] "pÃ¡ginas de diario"
+
 # -- English text -----------------------
 
@@ -124,2 +128,36 @@
 "
 
+# -- Spanish text -----------------------
+collectionmeta	collectionextra [l=es] "Esta colecciÃ³n contiene algunos diarios de la colecciÃ³n  
+<a href='http://www.nzdl.org/cgi-bin/library?a=p&amp;p=about&amp;c=niupepa'>
+Niupepa</a> de periÃ³dicos Maories. 
+
+<h3>CÃ³mo funciona la colecciÃ³n</h3>
+<p>Cada diario consiste en un conjunto de imÃ¡genes, una por pÃ¡gina, y un conjunto de archivos de texto provenientes del OCR. Un archivo .item relaciona al conjunto de pÃ¡ginas en un Ãºnico documento de diario. PagedImagePlugin se utiliza para procesar esos archivos .item.
+<p>Hay dos estilos para escribir esos archivos item. y esta colecciÃ³n demuestra ambos. 
+El primero usa un formato bÃ¡sico de texto, y consiste en una lista de metadatos para el documento, y una lista de pÃ¡ginas. AquÃ­ hay algunos ejemplos: 
+<a href='_httpcollection_/import/09/09\_1\_1.item'>Te Waka o Te Iwi, Vol. 1, No. 1</a>, 
+<a href='_httpcollection_/import/10/10\_1\_3.item'>Te Whetu o Te Tau, Vol. 1, No. 3</a>. 
+Este formato permite la especificaciÃ³n de metadatos a nivel de documento, y una lista simple de pÃ¡ginas. 
+<p>El segundo estilo es un formato extendido y usa XML. Permite una jerarquÃ­a de pÃ¡ginas, y una especificaciÃ³n de metadatos a nivel de documento como tambiÃ©n de pÃ¡ginas. Un ejemplo es <a href='_httpcollection_/import/xml/23/23\_\_2.item'>Matariki 1881, No. 2</a>. 
+Este diario tambiÃ©n tiene un resumen asociado a Ã©l. Los contenidos han sido agrupados en 2 secciones: Material Suplementario, la cual contiene el resumen, y PÃ¡ginas del Diario, que contiene las imÃ¡genes de las pÃ¡ginas.
+<p>Los documentos paginados pueden presentarse con una tabla de contenidos jerÃ¡rquica
+(por ej. <a href='?a=d&amp;c=_cgiargc_&amp;d=23\_\_1.2.1&p=text'>esta</a>), 
+o con flechas "Siguiente" y "Anterior" y un recuadro "Ir a la pÃ¡gina..."  
+(por ej. <a href='?a=d&amp;c=_cgiargc_&amp;d=10\_1\_2&p=preview'>esta</a>). 
+Esto es definido por la opciÃ³n <tt>-documenttype (hierarchy|paged)</tt> asignada al plugin PagedImagePlugin. 
+Las flechas Siguiente y Anterior permiten seguir el documento de manera lineal, mientras que la tabla de contenidos muestra al documento organizado jerÃ¡rquicamente. Generalmente, una colecciÃ³n de Greenstone tendrÃ­a un plugin por cada tipo de documento y todos los documentos de ese mismo tipo tendrÃ­an el mismo procesamiento. En este caso, queremos tratar los archivos .item con formato XML de manera diferente a aquellos con formato de texto plano. Esto puede lograrse agregando dos plugin PagedImagePlugin a la colecciÃ³n, y configurÃ¡ndolo de manera diferente. 
+<p><tt>plugin PagedImagePlugin -documenttype hierarchy -process_exp xml.*\.item$ <br/>
+plugin PagedImagePlugin -documenttype paged </tt>
+
+<p>Los diarios basados en XML han sido agrupados en una carpeta llamada <tt>xml</tt>. 
+Esto nos permite procesar esos archivos de una manera diferente, utilizando la opciÃ³n <tt>process_exp</tt> que es soportada por todos los plugins. El primer plugin PagedImagePlugin 
+en la lista busca archivos .item que se encuentren en la carpeta xml. Estos documentos se procesarÃ¡n como documentos jerÃ¡rquicos. Los archivos .item que no coincidan con la expresiÃ³n de procesamiento (por ejemplo, los que no estÃ©n dentro de la carpeta xml) serÃ¡n pasados al segundo plugin PagedImagePlugin, y se tratarÃ¡n como documentos paginados.
+
+<p><b>Formateo</b>
+<p>Hemos modificado el formateo del documento para mostrar imÃ¡genes a tamaÃ±o completo, previsualizar imÃ¡genes o texto y botones para cambiar entre estas opciones. Esto involucra modificaciones a las cadenas de formateo del DocumentHeading y el DocumentText en el  
+<a href='_httpcollection_/etc/collect.cfg' target=\'collect.cfg\'>archivo de configuraciÃ³n de la colecciÃ³n.</a>, 
+y algunas definiciones de macros en el <a href='_httpcollection_/macros/extra.dm' target=\'extra.dm\'>archivo de macros extra.dm</a>.
+El archivo extra.dm provee definiciones para los botones (\_viewfullsize\_,
+ \_viewpreview\_, \_viewtext\_) los cuales son usados por la sentencia de formateo en el archivo collect.cfg. La sentencia de formateo cambia la visualizaciÃ³n del documento y setea los botones que deben mostrarse basÃ¡ndose en el argumento p, el cual es configurado tambiÃ©n en la misma sentencia.
+ "
Index: /collections/documented-examples/trunk/pagedimg-e/macros/extra.dm
===================================================================
--- /collections/documented-examples/trunk/pagedimg-e/macros/extra.dm	(revision 19358)
+++ /collections/documented-examples/trunk/pagedimg-e/macros/extra.dm	(revision 19359)
@@ -13,2 +13,10 @@
 _viewtext_ {<div class="button"><span class="button"><a href="_httpcurrentdocument_&p=text" title="_textviewfulltext_">_textfulltext_</a></span></div>}
 
+# -- Spanish text ----------------------- 
+_textfullsize_ [l=es] {TAMAÃO COMPLETO}
+_textpreview_ [l=es] {PREVISUALIZAR}
+_textfulltext_ [l=es] {TEXTO}
+
+_textviewfullsize_ [l=es] {Ver la imagen tamaÃ±o completo de esta pÃ¡gina}
+_textviewpreview_ [l=es] {Ver la imagen de previsualizaciÃ³n de esta pÃ¡gina}
+_textviewfulltext_ [l=es] {Ver el texto de esta pÃ¡gina}
Index: /collections/documented-examples/trunk/style-e/etc/collect.cfg
===================================================================
--- /collections/documented-examples/trunk/style-e/etc/collect.cfg	(revision 19358)
+++ /collections/documented-examples/trunk/style-e/etc/collect.cfg	(revision 19359)
@@ -168,2 +168,37 @@
 </p>
 "
+
+# -- Spanish text -----------------------
+collectionmeta	collectionextra [l=es] "
+Esta colecciÃ³n demuestra el uso de hojas de estilo (CSS) con Greenstone para el formateo visual en los navegadores web. (Greenstone usa CSS en vez de tablas HTML desde la version 2.63.) En cada pÃ¡gina, puede cambiar la plantilla usada, para modificar la apariencia de la pÃ¡gina.
+</p>
+<p>Esta colecciÃ³n contiene el mismo material que la colecciÃ³n de demo original de Greenstone.</p>
+<p>
+Un archivo <a href=\'_httpcollection_/macros/extra.dm\'>extra.dm</a> se utiliza para proveer el cambio de plantilla de estilos. Este archivo redefine algunas macros del paquete <i>Style</i>: <b>\_cssheader\_</b>, para enlazar mÃºltiples plantillas; <b>\_optnavigationbar\_</b>, para mostrar los links; y <b>\_pagescriptextra\_</b>, para facilitar el cambio cuando se selecciona un link.
+</p>
+<p>Si quiere descargar cualquiera de estas plantillas para sus propias colecciones, aquÃ­ estÃ¡n los links a ellas:
+<ul>
+<li><a href=\'_httpimages_/style.css\'>Plantilla por defecto de Greenstone</a></li>
+<li><a href=\'_httpcstyle_/style-blue.css\'>Tema âOcean Blueâ</a></li>
+<li><a href=\'_httpcstyle_/style-red.css\'>âTema Fire Redâ</a></li>
+<li><a href=\'_httpimages_/style-print.css\'>Impresora</a></li>
+</ul>
+</p>
+<p>
+<b>Usar una plantilla descargada</b>
+<ul>
+<li>Para usar una plantilla de estilos por defecto, copiela en la carpeta greenstone/web/style y renÃ³mbrela como style.css. Esto afectarÃ¡ a todas las colecciones.</li>
+<li>Para usar una plantilla para una colecciÃ³n en particular, copiela en la carpeta style de la colecciÃ³n, agregue un archivo extra.dm en la carpeta macros de la colecciÃ³n y edÃ­telo para agregar las siguientes lÃ­neas (aquÃ­ se usa la plantilla style-red.css como ejemplo):<br/>
+<small><tt>
+<br/>
+package Style<br/>
+<br/>
+\_cssheader\_ {<br/>
+&lt;link rel=\'stylesheet\' href=\'\_httpcstyle\_/style-red.css\'<br/>
+&nbsp;&nbsp;type=\'text/css\' title=\'Fire Red\' charset=\'UTF-8\'&gt;<br/>
+}<br/>
+</tt></small>
+</li>
+</ul>
+</p>
+"
Index: /collections/documented-examples/trunk/wiki-e/etc/collect.cfg
===================================================================
--- /collections/documented-examples/trunk/wiki-e/etc/collect.cfg	(revision 19358)
+++ /collections/documented-examples/trunk/wiki-e/etc/collect.cfg	(revision 19359)
@@ -81,2 +81,29 @@
  configuration file</a>.
 "
+
+# -- Spanish text ----------------
+collectionmeta	collectionname [l=es] "MediaWiki collection"
+collectionmeta	collectionextra [l=es] "
+Esta colecciÃ³n de demostraciÃ³n estÃ¡ hecha en base al sitio Wiki de Greenstone. 
+Muestra la nueva caracterÃ­stica que permite la construcciÃ³n de una colecciÃ³n de Greenstone desde el sitio MediaWiki de Greenstone.
+
+<h3>CÃ³mo funciona la colecciÃ³n</h3>
+
+<p>
+El <a href=\"_httpcollection_/etc/collect.cfg\" target=collect.cfg>archivo de configuraciÃ³n de la colecciÃ³n</a>  contiene los plugins <i>MediaWikiPlugin</i>, 
+<i>ImagePlugin</i>, <i>ZipPlugin</i>, <i>PDFPlugin</i>, 
+<i>PowerPointPlugin</i>, <i>WordPlugin</i> (junto a los plugins estÃ¡ndar <i>GreenstoneXMLPlugin</i>, <i>ArchivesInfPlugin</i> y 
+<i>DirectoryPlugin</i>). El <i>MediaWikiPlugin</i> manipula pÃ¡ginas HTML descargadas desde el sitio MediaWiki, mientras que <i>ImagePlugin</i>, 
+<i>ZipPlugin</i>, <i>PDFPlugin</i>, <i>PowerPointPlugin</i> y
+<i>WordPlugin</i> manejan los archivos de imÃ¡genes, los zip, PDF, PowerPoint  y Word 
+asociados con la Wiki de Greenstone.
+
+<p>
+Para construir una colecciÃ³n desde el sitio MediaWiki, primero descargue los archivos del wiki usando la opciÃ³n <i>MediaWiki</i> en el panel <i>Descarga</i> del GLI. 
+Este tipo de descarga funciona de manera similar a la descarga <i>Web</i>, pero estÃ¡ diseÃ±ado especÃ­ficamente para incursionar sitios MediaWiki.\n
+
+<p>Una vez que los archivos fueron descargados, copielos en la colecciÃ³n usando el panel <i>Reunir</i>, arrastrÃ¡ndolos desde la carpeta <i>Archivos descargados</i> en el Ã¡rbol izquierdo del espacio de trabajo del GLI.
+ 
+<p>
+En la secciÃ³n <i>Plugins del documento</i> del panel <i>DiseÃ±o</i>, agregue <i>MediaWikiPlugin</i>. <i>MediaWikiPlugin</i> tiene varias opciones especÃ­ficas que controlan los aspectos de presentaciÃ³n de la pÃ¡gina, tales como si se deben mostrar o no la tabla de contenidos, las barras de navegaciÃ³n y el recuadro de bÃºsqueda en cada pÃ¡gina. Configure estas opciones basÃ¡ndose en cÃ³mo quiere que aparezcan esas pÃ¡ginas. Puede ver las opciones usadas por esta colecciÃ³n en su <a href=\"_httpcollection_/etc/collect.cfg\" target=collect.cfg>archivo de configuraciÃ³n de la colecciÃ³n</a>.
+"
Index: /collections/documented-examples/trunk/wrdpdf-e/etc/collect.cfg
===================================================================
--- /collections/documented-examples/trunk/wrdpdf-e/etc/collect.cfg	(revision 19358)
+++ /collections/documented-examples/trunk/wrdpdf-e/etc/collect.cfg	(revision 19359)
@@ -170,5 +170,5 @@
 <p>
 
-Greenstone contiene un software de otro fabricante que se utiliza para convertir archivos Word, RTF, PDF y PostScript a HTML. El equipo de Greenstone no le da mantenimiento a estos mÃ³dulos, aunque incluimos las mÃ¡s recientes versiones con cada nueva versiÃ³n de Greenstone. Los errores lÃ³gicos surgen con documentos Word inusuales (p. ej. provenientes de sistemas Macintosh anteriores) y en ocasiones el texto no se extrae adecuadamente. Algunos archivos PDF no contienen textos legibles de ninguna manera, consistiendo en su lugar de una secuencia de <i>imÃ¡genes</i> de pÃ¡gina de las cuales el texto Ãºnicamente se puede extraer por medio del reconocimiento Ã³ptico de caracteres (OCR por sus siglas en inglÃ©s), que es algo que Greenstone no pretende hacer. _text1_ 
+Greenstone contiene un software de otro fabricante que se utiliza para convertir archivos Word, RTF, PDF y PostScript a HTML. El equipo de Greenstone no le da mantenimiento a estos mÃ³dulos, aunque incluimos las mÃ¡s recientes versiones con cada nueva versiÃ³n de Greenstone. Los errores lÃ³gicos surgen con documentos Word inusuales (p. ej. provenientes de sistemas Macintosh anteriores) y en ocasiones el texto no se extrae adecuadamente. Algunos archivos PDF no contienen textos legibles de ninguna manera, consistiendo en su lugar de una secuencia de <i>imÃ¡genes</i> de pÃ¡gina de las cuales el texto Ãºnicamente se puede extraer por medio del reconocimiento Ã³ptico de caracteres (OCR por sus siglas en inglÃ©s), que es algo que Greenstone no pretende hacer. Si encuentra estos problemas entonces puede remover el documento daÃ±ado de la colecciÃ³n, o tratar de usar alguna de las opciones avanzadas para procesar los documentos de diferentes maneras. Para mÃ¡s informaciÃ³n, vea los tutoriales avanzados sobre PDF y Word en la <a href=\'http://wiki.greenstone.org/wiki/index.php/Tutorial_exercises\'>wiki de Greenstone</a>.
 <p>
 