Index: collections/documented-examples/trunk/oai-e/etc/collect.cfg
===================================================================
--- collections/documented-examples/trunk/oai-e/etc/collect.cfg	(revision 19068)
+++ collections/documented-examples/trunk/oai-e/etc/collect.cfg	(revision 19360)
@@ -5,8 +5,8 @@
 acquire OAI -src rocky.dlib.vt.edu/~jcdlpix/cgi-bin/OAI1.1/jcdlpix.pl -getdoc
 
-indexes		document:Description
-
-plugin		OAIPlugin -input_encoding iso_8859_1 -default_language en
-plugin		ImagePlugin -screenviewsize 300
+indexes		document:dc.Description
+
+plugin		OAIPlugin -input_encoding iso_8859_1 -default_language en -document_field dc.Identifier
+plugin		ImagePlugin -screenviewsize 300 -OIDtype assigned -OIDmetadata dc.Title
 plugin		GreenstoneXMLPlugin
 plugin		MetadataXMLPlugin
@@ -14,32 +14,33 @@
 plugin		DirectoryPlugin
 
-classify	AZCompactList -metadata Subject -doclevel top 
-classify	AZCompactList -mincompact 5 -maxcompact 10 -metadata Description -mingroup 10 -buttonname Captions -minnesting 7 
+classify	AZCompactList -metadata dc.Subject -doclevel top 
+classify	AZCompactList -mincompact 5 -maxcompact 10 -metadata dc.Description -mingroup 10 -buttonname Captions -minnesting 7 
 
 format VList "<td>[link][thumbicon][/link]</td>
-<td valign=middle><i>[Description]</i></td>"
-
-format CL1VList "<td>{If}{[numleafdocs],[link][icon][/link],[link][thumbicon][/link]}</td><td valign=middle>{If}{[numleafdocs],[Title],<i>[Description]</i>}</td>"
-
-format CL2VList "<td>{If}{[numleafdocs],[link][icon][/link],[link][thumbicon][/link]}</td><td valign=middle>{If}{[numleafdocs],[Title],<i>[Description]</i>}</td>"
-
-format DocumentHeading "<h3>[Subject]</h3>"
+<td valign=middle><i>[dc.Description]</i></td>"
+
+format CL1VList "<td>{If}{[numleafdocs],[link][icon][/link],[link][thumbicon][/link]}</td><td valign=middle>{If}{[numleafdocs],[Title],<i>[dc.Description]</i>}</td>"
+
+format CL2VList "<td>{If}{[numleafdocs],[link][icon][/link],[link][thumbicon][/link]}</td><td valign=middle>{If}{[numleafdocs],[Title],<i>[dc.Description]</i>}</td>"
+
+format DocumentHeading "<h3>[dc.Subject]</h3>"
 
 format DocumentText "<center><table width=_pagewidth_ border=1>
 <tr><td colspan=2 align=center>
-<a href=[OrigURL]>[screenicon]</a></td></tr>
-<tr><td>_Caption_:</td><td> <i>[Description]</i> <br>
-(<a href=[OrigURL]>_original_ [ImageWidth]x[ImageHeight] [ImageType] _available_</a>)
+<a href=[dc.OrigURL]>[screenicon]</a></td></tr>
+<tr><td>_Caption_:</td><td> <i>[dc.Description]</i> <br>
+(<a href=[dc.OrigURL]>_original_ [ImageWidth]x[ImageHeight] [ImageType] _available_</a>)
 </td></tr>
-<tr><td>_Subject_:</td><td> [Subject]</td></tr>
-<tr><td>_Publisher_:</td><td> [Publisher]</td></tr>
-<tr><td>_Rights_:<td> [Rights]</td></tr>
+<tr><td>_Subject_:</td><td> [dc.Subject]</td></tr>
+<tr><td>_Publisher_:</td><td> [dc.Publisher]</td></tr>
+<tr><td>_Rights_:<td> [dc.Rights]</td></tr>
 </table></center>"
 
+collectionmeta sampleoid "01dle6"
 
 # -- English strings ----------------
 collectionmeta	collectionname [l=en] "OAI demo"
 
-collectionmeta	.document:Description [l=en] "photo captions"
+collectionmeta	.document:dc.Description [l=en] "photo captions"
 
 collectionmeta	Caption [l=en] "Caption"
@@ -160,5 +161,5 @@
 <i>Publisher</i>,
 and <i>Rights</i> metadata.
-<a href=_gwcgi_?l=_cgiargl_&a=d&c=oai-e&cl=search&d=HASH01fcd4cc18fa29bc78c06c6a>This</a>
+<a href=_gwcgi_?l=_cgiargl_&a=d&c=oai-e&cl=search&d=_sampleoid_>This</a>
 is the result.\n
 
@@ -247,5 +248,5 @@
 <p>
 Le <a href=\"_httpcollection_/etc/collect.cfg\" target=collect.cfg>fichier de configuration de la collection</a> a un index \"full-text\" unique contenant la mÃ©ta-donnÃ©e <i>Description</i>. Quand un document est affichÃ©, la dÃ©claration de format <i>DocumentHeading</i> rÃ©vÃšle son <i>Subject</i> (Sujet). Elle est ensuite suivie de la dÃ©claration <i>DocumentText</i> avec <i>screenicon</i> produit par <i>ImagePlug</i> et qui donne une version rÃ©solution d'Ã©cran de l'image; elle est liÃ©e Ã  la mÃ©ta-donnÃ©e <i>OrigURL</i>, c'est Ã  dire la version originale de 
-l'image sur le site OAI distant. Elle est suivie par <i>Description</i> de l'image, aussi avec un lien; le type et la taille de l'image, gÃ©nÃ©rÃ©s Ã©galement comme mÃ©ta-donnÃ©es par <i>ImagePlug</i>; et enfin les mÃ©ta-donnÃ©es <i>Subject</i>, <i>Publisher</i> et <i>Rights</i>. <a href=_gwcgi_?l=_cgiargl_&a=d&c=oai-e&cl=search&d=HASH01fcd4cc18fa29bc78c06c6a>Voici</a> le rÃ©sultat. 
+l'image sur le site OAI distant. Elle est suivie par <i>Description</i> de l'image, aussi avec un lien; le type et la taille de l'image, gÃ©nÃ©rÃ©s Ã©galement comme mÃ©ta-donnÃ©es par <i>ImagePlug</i>; et enfin les mÃ©ta-donnÃ©es <i>Subject</i>, <i>Publisher</i> et <i>Rights</i>. <a href=\"_gwcgi_?l=_cgiargl_&a=d&c=oai-e&cl=search&d=_sampleoid_\">Voici</a> le rÃ©sultat. 
 
 <p>
@@ -299,5 +300,5 @@
 <p>
 
-El <a href=\"_httpcollection_/etc/collect.cfg\" target=collect.cfg>archivo de configuraciÃ³n de la colecciÃ³n</a> tiene un solo Ã­ndice de texto completo, el cual contiene el metadato <i>DescripciÃ³n</i>. Cuando un documento se despliega en pantalla el enunciado de formato <i>DocumentHeading</i> muestra su <i>Asunto</i>. A continuaciÃ³n le sigue el enunciado <i>DocumentText</i> con <i>screenicon</i>, el cual es producido por <i>ImagePlug</i> y proporciona una versiÃ³n en pantalla de la imagen. Ãsta cuenta con un hipervÃ­nculo al metadato <i>OrigURL</i>, es decir, a la versiÃ³n original de la imagen en el sitio OAI remoto. Le sigue la <i>DescripciÃ³n</i> de la imagen, tambiÃ©n con un hipervÃ­nculo, el tamaÃ±o y tipo de la imagen, nuevamente generados como metadatos por <i>ImagePlug</i>, y finalmente los metadatos de <i>Asunto</i>, <i>Editorial</i> y <i>Derechos de Autor</i>. <a href=_gwcgi_?l=_cgiargl_&a=d&c=oai-e&cl=search&d=HASH01fcd4cc18fa29bc78c06c6a>Ãste</a> es el resultado.
+El <a href=\"_httpcollection_/etc/collect.cfg\" target=collect.cfg>archivo de configuraciÃ³n de la colecciÃ³n</a> tiene un solo Ã­ndice de texto completo, el cual contiene el metadato <i>DescripciÃ³n</i>. Cuando un documento se despliega en pantalla el enunciado de formato <i>DocumentHeading</i> muestra su <i>Asunto</i>. A continuaciÃ³n le sigue el enunciado <i>DocumentText</i> con <i>screenicon</i>, el cual es producido por <i>ImagePlug</i> y proporciona una versiÃ³n en pantalla de la imagen. Ãsta cuenta con un hipervÃ­nculo al metadato <i>OrigURL</i>, es decir, a la versiÃ³n original de la imagen en el sitio OAI remoto. Le sigue la <i>DescripciÃ³n</i> de la imagen, tambiÃ©n con un hipervÃ­nculo, el tamaÃ±o y tipo de la imagen, nuevamente generados como metadatos por <i>ImagePlug</i>, y finalmente los metadatos de <i>Asunto</i>, <i>Editorial</i> y <i>Derechos de Autor</i>. <a href=\"_gwcgi_?l=_cgiargl_&a=d&c=oai-e&cl=search&d=_sampleoid_\">Ãste</a> es el resultado.
 <p>
 
@@ -381,5 +382,5 @@
 
 <a href=\"_httpcollection_/etc/collect.cfg\" target=collect.cfg>ÐÐŸÐœÑÐžÐ³ÑÑÐ°ÑÐžÐŸÐœÐœÑÐ¹ ÑÐ°Ð¹Ð» ÐºÐŸÐ»Ð»ÐµÐºÑÐžÐž</a> ÐžÐŒÐµÐµÑ ÐµÐŽÐžÐœÑÑÐ²ÐµÐœÐœÑÐ¹ Ð¿ÐŸÐ»ÐœÐŸÑÐµÐºÑÑÐŸÐ²ÑÐ¹ ÐžÐœÐŽÐµÐºÑ, ÑÐŸÐŽÐµÑÐ¶Ð°ÑÐžÐ¹ ÐŒÐµÑÐ°ÐŽÐ°ÐœÐœÑÐµ <i>ÐÐ¿ÐžÑÐ°ÐœÐžÑ</i> (<i>description</i>). ÐÐŸÐ³ÐŽÐ° ÐŽÐŸÐºÑÐŒÐµÐœÑ Ð²ÑÐ²ÐµÐŽÐµÐœ ÐœÐ° ÑÐºÑÐ°Ðœ, ÐŸÐ¿ÐµÑÐ°ÑÐŸÑ ÑÐŸÑÐŒÐ°ÑÐ° <i>DocumentHeading</i> Ð²ÑÐ²ÐŸÐŽÐžÑ <i>ÐÑÐµÐŽÐŒÐµÑ</i> (<i>subject</i>) ÐŽÐŸÐºÑÐŒÐµÐœÑÐ°. ÐÐ°ÑÐµÐŒ ÑÐ»ÐµÐŽÑÐµÑ ÐŸÐ¿ÐµÑÐ°ÑÐŸÑ <i>DocumentText</i> Ð²ÐŒÐµÑÑÐµ Ñ <i>screenicon</i>, ÐºÐŸÑÐŸÑÑÐ¹ ÑÐŸÐ·ÐŽÐ°ÐµÑÑÑ Ñ Ð¿ÐŸÐŒÐŸÑÑÑ <i>ImagePlug</i> Ðž ÑÑÑÐ°ÐœÐ°Ð²Ð»ÐžÐ²Ð°ÐµÑ Ð²ÐµÑÑÐžÑ ÐœÐµÐŸÐ±Ñ
-ÐŸÐŽÐžÐŒÐŸÐ³ÐŸ  ÑÐ°Ð·ÑÐµÑÐµÐœÐžÑ ÐœÐ° ÑÐºÑÐ°ÐœÐµ ÐžÐ·ÐŸÐ±ÑÐ°Ð¶ÐµÐœÐžÑ. ÐÐœÐŸ Ð³ÐžÐ¿ÐµÑÑÐ²ÑÐ·Ð°ÐœÐŸ Ñ ÐŒÐµÑÐ°ÐŽÐ°ÐœÐœÑÐŒÐž <i>OrigURL</i>, ÑÐŸ ÐµÑÑÑ ÐŸÑÐžÐ³ÐžÐœÐ°Ð»ÑÐœÑÐŒ ÐžÐ·ÐŸÐ±ÑÐ°Ð¶ÐµÐœÐžÐµÐŒ ÐœÐ° ÑÐŽÐ°Ð»ÐµÐœÐœÐŸÐŒ ÑÐ°Ð¹ÑÐµ ÐAI. ÐÐœÐŸ ÑÐŸÐ¿ÑÐŸÐ²ÐŸÐ¶ÐŽÐ°ÐµÑÑÑ <i>ÐÐ¿ÐžÑÐ°ÐœÐžÐµÐŒ</i> (<i>description</i>) ÐžÐ·ÐŸÐ±ÑÐ°Ð¶ÐµÐœÐžÑ ÑÐ°ÐºÐ¶Ðµ Ñ Ð³ÐžÐ¿ÐµÑÑÐ²ÑÐ·ÑÑ; ÑÐ°Ð·ÐŒÐµÑÑ Ðž ÑÐžÐ¿ ÐžÐ·ÐŸÐ±ÑÐ°Ð¶ÐµÐœÐžÑ ÑÐœÐŸÐ²Ð° Ð³ÐµÐœÐµÑÐžÑÑÑÑÑÑ, ÐºÐ°Ðº ÐŒÐµÑÐ°ÐŽÐ°ÐœÐœÑÐµ <i>ImagePlug</i>, Ð° Ð·Ð°ÑÐµÐŒ ÐŒÐµÑÐ°ÐŽÐ°ÐœÐœÑÐŒÐž <i>ÐÑÐµÐŽÐŒÐµÑÐ°, ÐÐ·ÐŽÐ°ÑÐµÐ»Ñ Ðž ÐÑÐ°Ð²</i>. <a href=_gwcgi_?l=_cgiargl_&a=d&c=oai-e&cl=search&d=HASH01fcd4cc18fa29bc78c06c6a>Ð¢ÐŸ, ÑÑÐŸ Ð¿ÐŸÐºÐ°Ð·Ð°ÐœÐŸ,</a> ÑÐ²Ð»ÑÐµÑÑÑ ÐºÐŸÐœÐµÑÐœÑÐŒ ÑÐµÐ·ÑÐ»ÑÑÐ°ÑÐŸÐŒ.
+ÐŸÐŽÐžÐŒÐŸÐ³ÐŸ  ÑÐ°Ð·ÑÐµÑÐµÐœÐžÑ ÐœÐ° ÑÐºÑÐ°ÐœÐµ ÐžÐ·ÐŸÐ±ÑÐ°Ð¶ÐµÐœÐžÑ. ÐÐœÐŸ Ð³ÐžÐ¿ÐµÑÑÐ²ÑÐ·Ð°ÐœÐŸ Ñ ÐŒÐµÑÐ°ÐŽÐ°ÐœÐœÑÐŒÐž <i>OrigURL</i>, ÑÐŸ ÐµÑÑÑ ÐŸÑÐžÐ³ÐžÐœÐ°Ð»ÑÐœÑÐŒ ÐžÐ·ÐŸÐ±ÑÐ°Ð¶ÐµÐœÐžÐµÐŒ ÐœÐ° ÑÐŽÐ°Ð»ÐµÐœÐœÐŸÐŒ ÑÐ°Ð¹ÑÐµ ÐAI. ÐÐœÐŸ ÑÐŸÐ¿ÑÐŸÐ²ÐŸÐ¶ÐŽÐ°ÐµÑÑÑ <i>ÐÐ¿ÐžÑÐ°ÐœÐžÐµÐŒ</i> (<i>description</i>) ÐžÐ·ÐŸÐ±ÑÐ°Ð¶ÐµÐœÐžÑ ÑÐ°ÐºÐ¶Ðµ Ñ Ð³ÐžÐ¿ÐµÑÑÐ²ÑÐ·ÑÑ; ÑÐ°Ð·ÐŒÐµÑÑ Ðž ÑÐžÐ¿ ÐžÐ·ÐŸÐ±ÑÐ°Ð¶ÐµÐœÐžÑ ÑÐœÐŸÐ²Ð° Ð³ÐµÐœÐµÑÐžÑÑÑÑÑÑ, ÐºÐ°Ðº ÐŒÐµÑÐ°ÐŽÐ°ÐœÐœÑÐµ <i>ImagePlug</i>, Ð° Ð·Ð°ÑÐµÐŒ ÐŒÐµÑÐ°ÐŽÐ°ÐœÐœÑÐŒÐž <i>ÐÑÐµÐŽÐŒÐµÑÐ°, ÐÐ·ÐŽÐ°ÑÐµÐ»Ñ Ðž ÐÑÐ°Ð²</i>. <a href=\"_gwcgi_?l=_cgiargl_&a=d&c=oai-e&cl=search&d=_sampleoid_\">Ð¢ÐŸ, ÑÑÐŸ Ð¿ÐŸÐºÐ°Ð·Ð°ÐœÐŸ,</a> ÑÐ²Ð»ÑÐµÑÑÑ ÐºÐŸÐœÐµÑÐœÑÐŒ ÑÐµÐ·ÑÐ»ÑÑÐ°ÑÐŸÐŒ.
 <p>
 