Index: /collections/documented-examples/trunk/authen-e/etc/collect.cfg
===================================================================
--- /collections/documented-examples/trunk/authen-e/etc/collect.cfg	(revision 19365)
+++ /collections/documented-examples/trunk/authen-e/etc/collect.cfg	(revision 19366)
@@ -7,17 +7,17 @@
 indexes		text dls.Title,Title dls.Subject dls.Organization dls.Keyword
 
-levels		section document
-
-plugin		GreenstoneXMLPlugin
-plugin		HTMLPlugin -description_tags -OIDtype dirname
-plugin		MetadataXMLPlugin
-plugin		ArchivesInfPlugin
-plugin		DirectoryPlugin
+levels	section document
+
+plugin	GreenstoneXMLPlugin
+plugin	HTMLPlugin -description_tags -OIDtype dirname
+plugin	MetadataXMLPlugin
+plugin	ArchivesInfPlugin
+plugin	DirectoryPlugin
 
 classify	List -metadata dls.Title
 
-classify	Hierarchy -metadata dls.Subject -sort dls.Title
-
-classify	List -metadata dls.Organization -bookshelf_type always -sort_leaf_nodes_using dls.Title 
+classify	Hierarchy -metadata "dls.Subject" -sort dls.Title
+
+classify	List -sort_leaf_nodes_using dls.Title -metadata dls.Organization -bookshelf_type always
 
 classify	List -metadata dls.Keyword -buttonname Howto
@@ -50,17 +50,17 @@
 collectionmeta	collectionname [l=en] "Authentication demo"
 
-collectionmeta .text [l=en] "text"
-collectionmeta .dls.Title,Title [l=en] "titles"
-collectionmeta .dls.Subject [l=en] "subjects"
-collectionmeta .dls.Organization [l=en] "organizations"
-collectionmeta .dls.Keyword [l=en] "how to"
-
-collectionmeta .document [l=en] "book"
-collectionmeta .section [l=en] "chapter"
+collectionmeta	.text [l=en] "text"
+collectionmeta	.dls.Title,Title [l=en] "titles"
+collectionmeta	.dls.Subject [l=en] "subjects"
+collectionmeta	.dls.Organization [l=en] "organizations"
+collectionmeta	.dls.Keyword [l=en] "how to"
+
+collectionmeta	.document [l=en] "book"
+collectionmeta	.section [l=en] "chapter"
 
 collectionmeta	depositormetadata [l=en] "{\"name\":\"dls.Title\",\"label\":\"Title\",\"tooltip\":\"dls.Title: The title of this resource.\",\"type\":\"text\"}, {\"name\":\"dls.Organization\",\"label\":\"Organization\",\"tooltip\":\"dls.Organization: The organization responsible for producing this resource.\",\"type\":\"text\"}, {\"name\":\"dls.Subject\",\"label\":\"Subject\",\"tooltip\":\"dls.Subject: The subject of this resource.\",\"type\":\"text\"}, {\"name\":\"dls.Keyword\",\"label\":\"Keyword\",\"tooltip\":\"dls.Keyword: A more specific indication of what the resource can be used for.\",\"type\":\"text\"}, {\"name\":\"dls.Language\",\"label\":\"Language\",\"tooltip\":\"dls.Language: The language of this resource.\",\"type\":\"text\"}"
 
 # -- French strings ----------------
-collectionmeta	collectionname [l=fr] "DÃ©monstration d'authentification"
+collectionmeta	collectionname [l=fr] "DÃ©monstration d\'authentification"
 
 # -- Spanish strings ----------------
@@ -70,5 +70,4 @@
 collectionmeta	collectionname [l=ru] "ÐÐµÐŒÐŸÐœÑÑÑÐ°ÑÐžÑ Ð°ÑÑÐµÐœÑÐžÑÐžÐºÐ°ÑÐžÐž"
 
-
 # -- English text ----------------
 collectionmeta	collectionextra [l=en] "This demonstration collection contains the same material as the original Greenstone demo collection, but it includes some basic authentication commands. Two documents are publicly available (Farming snails 1 & 2), while the others require logging in to view.
@@ -80,5 +79,5 @@
 <p>
 The <a href=\"_httpcollection_/etc/collect.cfg\" target=collect.cfg>collection
-configuration file</a> is exactly the same as for the original demo collection apart from the authentication directives, one plugin option (and this description). 
+configuration file</a> is exactly the same as for the original demo collection apart from the authentication directives, one plugin option (and this description).
 
 <p>
@@ -105,8 +104,8 @@
 
 <p>In this case, we have used the <i>-OIDtype dirname</i> option to HTMLPlugin,
-which specifies that directory names should be used as identifiers. This works 
-for collections where each document is in a separate directory. We have used 
-this option to ensure that identifiers remain the same across different 
-platforms (which may not be the case for HASH identifiers), as we need to 
+which specifies that directory names should be used as identifiers. This works
+for collections where each document is in a separate directory. We have used
+this option to ensure that identifiers remain the same across different
+platforms (which may not be the case for HASH identifiers), as we need to
 specify identifiers here for the authentication directives.\n
 
@@ -119,15 +118,14 @@
 "
 
-
 # -- French text ----------------
 collectionmeta	collectionextra [l=fr] "
 Cette collection de dÃ©monstration contient le mÃªme contenu que la
 collection de dÃ©monstration originale fournie avec Greenstone, mais elle
-inclue Ã©galement quelques commandes d'authentification basiques. Deux
+inclue Ã©galement quelques commandes d\'authentification basiques. Deux
 documents sont diffusÃ©s de maniÃšre publique (Farming snails 1 & 2), alors
 que le reste des documents requiÃšrent une authentification afin de pouvoir
 les consulter.
 
-<p><center><b>Pour accÃ©der Ã  cette collection, essayez utilisateur :  </b> <i>demo</i> <b> et mot de passe : </b> <i>demo.</i></center></p>
+<p><center><b>Pour accÃ©der Ã  cette collection, essayez utilisateur : </b> <i>demo</i> <b> et mot de passe : </b> <i>demo.</i></center></p>
 
 <h3>Comment marche cette collection?</h3>
@@ -137,12 +135,12 @@
 
 <p>
-Le schÃ©ma d'authentification contrÃŽle l'accÃšs Ã  la collection. Il fonctionne en 
-deux Ã©tapes. Dans un premier temps il dÃ©termine s'il faut restreindre l'accÃšs Ã  la collection dans son ensemble ou Ã  des documents spÃ©cifiques qu'elle contient, et dans ce dernier cas, de quels documents il s'agit (soit en donnant une liste de documents privÃ©s dont l'accÃšs nÃ©cessite une authentification, soit en dÃ©clarant que tous les documents sont privÃ©s Ã  l'exeption d'une liste de documents publics donnÃ©e). Ensuite, pour les documents Ã  accÃšs restreint, il dÃ©termine les utilisateurs qui y ont accÃšs. 
-
-<p>
-L'authentification est activÃ©e par la directive <i>authenticate</i> avec la valeur <i>collection</i> ou <i>document</i>, suivant que la restriction d'accÃšs s'applique Ã  toute la collection ou sur des documents spÃ©cifiques (la valeur par dÃ©faut est <i>collection</i>). Si l'authentification est effectuÃ©e sur la base <i>document</i>, on peut donc soit spÃ©cifier une liste de documents privÃ©s (dans ce cas tous les autres sont publiques), soit une liste de documents publics (dans ce cas tous les autres sont privÃ©s)en utilisant les directives <i>private_documents</i> ou <i>public_documents</i>. 
-Ces documents eux-mÃªmes sont specifiÃ©s en utilisant les identificateurs de 
-documents de Greenstone (sÃ©parÃ©s par des espaces) : la faÃ§on la plus facile de 
-les determiner est de localiser chaque document dans la collection et de 
+Le schÃ©ma d\'authentification contrÃŽle l\'accÃšs Ã  la collection. Il fonctionne en
+deux Ã©tapes. Dans un premier temps il dÃ©termine s\'il faut restreindre l\'accÃšs Ã  la collection dans son ensemble ou Ã  des documents spÃ©cifiques qu\'elle contient, et dans ce dernier cas, de quels documents il s\'agit (soit en donnant une liste de documents privÃ©s dont l\'accÃšs nÃ©cessite une authentification, soit en dÃ©clarant que tous les documents sont privÃ©s Ã  l\'exeption d\'une liste de documents publics donnÃ©e). Ensuite, pour les documents Ã  accÃšs restreint, il dÃ©termine les utilisateurs qui y ont accÃšs.
+
+<p>
+L\'authentification est activÃ©e par la directive <i>authenticate</i> avec la valeur <i>collection</i> ou <i>document</i>, suivant que la restriction d\'accÃšs s\'applique Ã  toute la collection ou sur des documents spÃ©cifiques (la valeur par dÃ©faut est <i>collection</i>). Si l\'authentification est effectuÃ©e sur la base <i>document</i>, on peut donc soit spÃ©cifier une liste de documents privÃ©s (dans ce cas tous les autres sont publiques), soit une liste de documents publics (dans ce cas tous les autres sont privÃ©s)en utilisant les directives <i>private_documents</i> ou <i>public_documents</i>.
+Ces documents eux-mÃªmes sont specifiÃ©s en utilisant les identificateurs de
+documents de Greenstone (sÃ©parÃ©s par des espaces) : la faÃ§on la plus facile de
+les determiner est de localiser chaque document dans la collection et de
 regarder son argument <i>d</i> dans son URL Greenstone.
 
@@ -150,8 +148,7 @@
 
 <p>
-La directive <i>auth-groups</i> prÃ©cise les groupes Greenstone pour lesquels l'accÃšs sera permis, si le document (ou la collection) est de ceux qui exigent une authentification. Il est suivi par un nom de groupe (ou une liste de noms 
-de groupe sÃ©parÃ©s par des espaces). Les pages <i>admin</i>de Greenstone vous permettent de dÃ©finir des groupes et d'y ajouter des membres.
-"
-
+La directive <i>auth-groups</i> prÃ©cise les groupes Greenstone pour lesquels l\'accÃšs sera permis, si le document (ou la collection) est de ceux qui exigent une authentification. Il est suivi par un nom de groupe (ou une liste de noms
+de groupe sÃ©parÃ©s par des espaces). Les pages <i>admin</i>de Greenstone vous permettent de dÃ©finir des groupes et d\'y ajouter des membres.
+"
 
 # -- Spanish text ----------------
@@ -161,5 +158,5 @@
 
 <center><b>
-Para tener acceso a esta colecciÃ³n ingrese el nombre de usuario: 
+Para tener acceso a esta colecciÃ³n ingrese el nombre de usuario:
 </b><i>demo</i><b> y la contraseÃ±a: </b><i>demo</i>
 </center>
@@ -179,7 +176,6 @@
 la cual especifica que deben usarse los nombres de las carpetas como identificadores. Esto funciona para cualquier colecciÃ³n en donde cada documento estÃ¡ en una carpeta separada. Hemos usado esta opciÃ³n para asegurarnos de que los identificadores permanezcan inalterados en diferentes plataformas (lo cual no es el caso de los identificadores HASH), ya que aquÃ­ necesitamos especificar identificadores en las directivas de autenticaciÃ³n.\n
 
-La directiva <i>auth_groups</i> especifica los grupos a los cuales se permite el acceso, si el documento (o la colecciÃ³n) es uno de los que requieren autenticaciÃ³n. EstÃ¡ seguida por el nombre del grupo (o una lista de nombres de grupos separados por espacios). Las pÃ¡ginas <i>admin</i> de Greenstone le permiten definir los grupos y aÃ±adir miembros. 
-"
-
+La directiva <i>auth_groups</i> especifica los grupos a los cuales se permite el acceso, si el documento (o la colecciÃ³n) es uno de los que requieren autenticaciÃ³n. EstÃ¡ seguida por el nombre del grupo (o una lista de nombres de grupos separados por espacios). Las pÃ¡ginas <i>admin</i> de Greenstone le permiten definir los grupos y aÃ±adir miembros.
+"
 
 # -- Russian text ----------------
@@ -200,5 +196,5 @@
 ÐµÐŒÐ° Ð°ÑÑÐµÐœÑÐžÑÐžÐºÐ°ÑÐžÐž ÑÐ¿ÑÐ°Ð²Ð»ÑÐµÑ ÐŽÐŸÑÑÑÐ¿ÐŸÐŒ Ðº ÐºÐŸÐ»Ð»ÐµÐºÑÐžÐž. ÐÐœÐ° ÑÐ²Ð»ÑÐµÑÑÑ ÐŽÐ²ÑÑ
 ÑÑÑÐ¿ÐµÐœÑÐ°ÑÐŸÐ¹. Ð¡ÐœÐ°ÑÐ°Ð»Ð° ÐŸÐœÐ° ÑÐµÑÐ°ÐµÑ, ÐŸÐ³ÑÐ°ÐœÐžÑÐžÑÑ Ð»Ðž ÐŽÐŸÑÑÑÐ¿ Ðº ÐºÐŸÐ»Ð»ÐµÐºÑÐžÐž Ð² ÑÐµÐ»ÐŸÐŒ ÐžÐ»Ðž Ðº ÐŸÑÐŽÐµÐ»ÑÐœÑÐŒ ÐŽÐŸÐºÑÐŒÐµÐœÑÐ°ÐŒ. Ð Ð¿ÐŸÑÐ»ÐµÐŽÐœÐµÐŒ ÑÐ»ÑÑÐ°Ðµ ÐŸÐ¿ÑÐµÐŽÐµÐ»ÑÐµÑÑÑ, ÐºÐ°ÐºÐžÐµ ÐŽÐŸÐºÑÐŒÐµÐœÑÑ ÑÐ²Ð»ÑÑÑÑÑ ÑÐ°ÐºÐŸÐ²ÑÐŒÐž (ÐžÐ»Ðž Ð¿ÑÐµÐŽÑÑÐ°Ð²Ð»ÑÑ ÑÐ¿ÐžÑÐŸÐº ÑÐµÑ
- ÐŽÐŸÐºÑÐŒÐµÐœÑÐŸÐ², Ðº ÐºÐŸÑÐŸÑÑÐŒ ÑÑÐµÐ±ÑÐµÑÑÑ ÑÐ°Ð·ÑÐµÑÐµÐœÐžÐµ ÐœÐ° ÐŽÐŸÑÑÑÐ¿, ÐžÐ»Ðž Ð¶Ðµ ÐŸÐ¿ÑÐµÐŽÐµÐ»ÑÑ, ÑÑÐŸ Ð²ÑÐµ ÐŽÐŸÐºÑÐŒÐµÐœÑÑ ÑÐ²Ð»ÑÑÑÑÑ ÐœÐµÐŽÐŸÑÑÑÐ¿ÐœÑÐŒÐž  Ð·Ð° ÐžÑÐºÐ»ÑÑÐµÐœÐžÐµÐŒ ÑÐµÑ
+ ÐŽÐŸÐºÑÐŒÐµÐœÑÐŸÐ², Ðº ÐºÐŸÑÐŸÑÑÐŒ ÑÑÐµÐ±ÑÐµÑÑÑ ÑÐ°Ð·ÑÐµÑÐµÐœÐžÐµ ÐœÐ° ÐŽÐŸÑÑÑÐ¿, ÐžÐ»Ðž Ð¶Ðµ ÐŸÐ¿ÑÐµÐŽÐµÐ»ÑÑ, ÑÑÐŸ Ð²ÑÐµ ÐŽÐŸÐºÑÐŒÐµÐœÑÑ ÑÐ²Ð»ÑÑÑÑÑ ÐœÐµÐŽÐŸÑÑÑÐ¿ÐœÑÐŒÐž Ð·Ð° ÐžÑÐºÐ»ÑÑÐµÐœÐžÐµÐŒ ÑÐµÑ
 , ÑÑÐŸ Ð²ÐºÐ»ÑÑÐµÐœÑ Ð² ÑÐ¿ÐžÑÐŸÐº ÐŸÐ±ÑÐµÐŽÐŸÑÑÑÐ¿ÐœÑÑ
  ÐŽÐŸÐºÑÐŒÐµÐœÑÐŸÐ²). Ð¢ÐŸÐ³ÐŽÐ° ÐŽÐ»Ñ ÐŽÐŸÐºÑÐŒÐµÐœÑÐŸÐ² ÐŸÐ³ÑÐ°ÐœÐžÑÐµÐœÐœÐŸÐ³ÐŸ ÐŽÐŸÑÑÑÐ¿Ð° ÐŸÐ¿ÑÐµÐŽÐµÐ»ÑÐµÑÑÑ, ÐºÐ°ÐºÐžÐŒ Ð¿ÐŸÐ»ÑÐ·ÐŸÐ²Ð°ÑÐµÐ»ÑÐŒ ÑÐ°Ð·ÑÐµÑÐµÐœ Ðº ÐœÐžÐŒ ÐŽÐŸÑÑÑÐ¿.
@@ -209,5 +205,5 @@
  Ð¿ÐŸ ÐŸÐ±Ð»Ð°ÑÑÑÐŒ). Ð¡Ð°ÐŒÑÐ¹ Ð»ÐµÐ³ÐºÐžÐ¹ ÑÐ¿ÐŸÑÐŸÐ± ÐžÑ
  ÐŸÑÐœÐµÑÐµÐœÐžÑ ÑÐŸÑÑÐŸÐžÑ Ð² ÑÐŸÐŒ, ÑÑÐŸÐ±Ñ ÐŸÐ¿ÑÐµÐŽÐµÐ»ÐžÑÑ ÐŒÐµÑÑÐŸÐœÐ°Ñ
-ÐŸÐ¶ÐŽÐµÐœÐžÐµ ÐºÐ°Ð¶ÐŽÐŸÐ³ÐŸ ÐŽÐŸÐºÑÐŒÐµÐœÑÐ° Ð² ÐºÐŸÐ»Ð»ÐµÐºÑÐžÐž Ðž ÑÐ°ÑÑÐŒÐŸÑÑÐµÑÑ  ÐµÐ³ÐŸ <i>d</i>-Ð°ÑÐ³ÑÐŒÐµÐœÑ Ð² URL Greenstone.
+ÐŸÐ¶ÐŽÐµÐœÐžÐµ ÐºÐ°Ð¶ÐŽÐŸÐ³ÐŸ ÐŽÐŸÐºÑÐŒÐµÐœÑÐ° Ð² ÐºÐŸÐ»Ð»ÐµÐºÑÐžÐž Ðž ÑÐ°ÑÑÐŒÐŸÑÑÐµÑÑ ÐµÐ³ÐŸ <i>d</i>-Ð°ÑÐ³ÑÐŒÐµÐœÑ Ð² URL Greenstone.
 
 <p>_text2_\n