Index: /collections/documented-examples/trunk/dls-e/etc/collect.cfg
===================================================================
--- /collections/documented-examples/trunk/dls-e/etc/collect.cfg	(revision 19367)
+++ /collections/documented-examples/trunk/dls-e/etc/collect.cfg	(revision 19368)
@@ -12,8 +12,8 @@
 indexes		section:text section:Title document:text
 
-classify	Hierarchy -metadata "dls.Subject" -sort dls.Title -buttonname Subject -hfile dls.Subject.txt
-classify	Hierarchy -metadata dls.AZList -hlist_at_top -sort dls.Title -buttonname Title -hfile dls.AZListtxt
-classify	List -sort_leaf_nodes_using dls.Title -metadata dls.Organization -bookshelf_type always -buttonname Organization
-classify	List -metadata dls.Keyword -bookshelf_type never -buttonname Howto
+classify	Hierarchy -metadata "dls.Subject" -buttonname Subject -hfile dls.Subject.txt -sort dls.Title
+classify	Hierarchy -metadata dls.AZList -buttonname Title -hfile dls.AZListtxt -hlist_at_top -sort dls.Title
+classify	List -metadata dls.Organization -sort_leaf_nodes_using dls.Title -buttonname Organization -bookshelf_type always
+classify	List -metadata dls.Keyword -buttonname Howto -bookshelf_type never
 
 format VList "<td valign=top>[link][icon][/link]</td>
@@ -166,5 +166,5 @@
 
 <p>
-<b>Format statements</b>. The lines beginning with <i>format</i>, called \"format statements\", govern how various parts of the collection should be displayed. The <i>VList</i> format statement applies to lists of items displayed vertically, such as the lists of titles, subjects and organisations, and the table of contents for the target documents. It is overridden for the search results list by the <i>SearchVList</i> format statement, and also for the <i>Howto</i> classifier by the <i>CL4VList</i> statement (CL4 specifies the fourth classifier). 
+<b>Format statements</b>. The lines beginning with <i>format</i>, called \"format statements\", govern how various parts of the collection should be displayed. The <i>VList</i> format statement applies to lists of items displayed vertically, such as the lists of titles, subjects and organisations, and the table of contents for the target documents. It is overridden for the search results list by the <i>SearchVList</i> format statement, and also for the <i>Howto</i> classifier by the <i>CL4VList</i> statement (CL4 specifies the fourth classifier).
 <p>
 The <i>DocumentText</i> statement governs how the document text is formatted,
@@ -254,7 +254,7 @@
 
 <pre>
-\"Animal Husbandry and Animal Product Processing\"	7	\"Animal Husbandry and Animal Product Processing\"
-\"Animal Husbandry and Animal Product Processing|Cattle\"	7.1	\"Cattle\"
-\"Animal Husbandry and Animal Product Processing|Other animals (micro-livestock, little known animals, silkworms, reptiles, frogs, snails, game, etc.)\"	7.2	\"Other animals (micro-livestock, little known animals, silkworms, reptiles, frogs, snails, game, etc.)\"
+\"Animal Husbandry and Animal Product Processing\" 7 \"Animal Husbandry and Animal Product Processing\"
+\"Animal Husbandry and Animal Product Processing|Cattle\" 7.1 \"Cattle\"
+\"Animal Husbandry and Animal Product Processing|Other animals (micro-livestock, little known animals, silkworms, reptiles, frogs, snails, game, etc.)\" 7.2 \"Other animals (micro-livestock, little known animals, silkworms, reptiles, frogs, snails, game, etc.)\"
 </pre>
 
@@ -443,5 +443,5 @@
 <p>
 
-<b>Metadatos a nivel de colecciÃ³n</b>. Las lÃ­neas de <i>collectionmeta</i> en el archivo de configuraciÃ³n tambiÃ©n son estÃ¡ndar en todas las colecciones Greenstone. Contienen informaciÃ³n general acerca de la colecciÃ³n definiendo su nombre, y una descripciÃ³n que aparece en su pÃ¡gina inicial. La descripciÃ³n (en <i>collectionextra</i>) se puede ver en la pÃ¡gina inicial de la colecciÃ³n DLS (este texto es parte de Ã©l). 
+<b>Metadatos a nivel de colecciÃ³n</b>. Las lÃ­neas de <i>collectionmeta</i> en el archivo de configuraciÃ³n tambiÃ©n son estÃ¡ndar en todas las colecciones Greenstone. Contienen informaciÃ³n general acerca de la colecciÃ³n definiendo su nombre, y una descripciÃ³n que aparece en su pÃ¡gina inicial. La descripciÃ³n (en <i>collectionextra</i>) se puede ver en la pÃ¡gina inicial de la colecciÃ³n DLS (este texto es parte de Ã©l).
 <p>
 
@@ -475,5 +475,5 @@
 <p>
 
-<b>Archivos de jerarquÃ­a</b>. 
+<b>Archivos de jerarquÃ­a</b>.
 "
 