Index: collections/documented-examples/trunk/image-e/etc/collect.cfg
===================================================================
--- collections/documented-examples/trunk/image-e/etc/collect.cfg	(revision 19370)
+++ collections/documented-examples/trunk/image-e/etc/collect.cfg	(revision 19371)
@@ -26,6 +26,7 @@
 format HList "[link][highlight][ex.Title][/highlight][/link]"
 
+
 # strings that don't need translating
-collectionmeta sampleoid "D2"
+collectionmeta	sampleoid [l=en] "D2"
 
 # -- English strings ----------------
@@ -158,6 +159,5 @@
 et toute crÃ©ation de la collection. C\'est tout.
 <p>
-The images in this collection have been produced by members of the Department of Computer Science, University of Waikato.
-The University of Waikato holds copyright. They may be distributed freely, without any restrictions.
+_text1_
 
 <h3>Comment fonctionne cette collection ?</h3>
@@ -219,5 +219,5 @@
 d\'images avec du texte. Le plugin HTML, <i>HTMLPlugin</i> traite aussi des fichiers d\'images mais
 de maniÃšre diffÃ©rente que ImagePlugin (par exemple, il ne produit pas la mÃ©ta-donnÃ©e dÃ©crite
-ci-dessus). 
+ci-dessus).
 
 "
@@ -228,6 +228,5 @@
 Esta es una colecciÃ³n de imÃ¡genes bÃ¡sicas sin texto ni ningÃºn metadato explÃ­cito. Varios archivos JPEG se colocan en un directorio especÃ­fico antes de importar y construir la colecciÃ³n. Eso es todo.
 <p>
-The images in this collection have been produced by members of the Department of Computer Science, University of Waikato.
-The University of Waikato holds copyright. They may be distributed freely, without any restrictions.
+_text1_
 
 
@@ -280,5 +279,5 @@
 <p>
 
-Para conocer una colecciÃ³n de imÃ¡genes mÃ¡s completa, consulte la <a href=\"http://www.nzdl.org/cgi-bin/library?a=p&p=about&c=aircraft\">kiwi aircraft images</a> de la Biblioteca Digital de Nueva Zelanda. Sin embargo, la estructura de esta colecciÃ³n es muy diferente. Se trata de una colecciÃ³n de pÃ¡ginas Web que incluye muchas imÃ¡genes junto con el texto. El plugin <i>HTMLPlugin</i> tambiÃ©n procesa archivos de imÃ¡genes, pero lo hace de manera diferente a ImagePlugin (por ejemplo, no produce los metadatos descritos arriba). 
+Para conocer una colecciÃ³n de imÃ¡genes mÃ¡s completa, consulte la <a href=\"http://www.nzdl.org/cgi-bin/library?a=p&p=about&c=aircraft\">kiwi aircraft images</a> de la Biblioteca Digital de Nueva Zelanda. Sin embargo, la estructura de esta colecciÃ³n es muy diferente. Se trata de una colecciÃ³n de pÃ¡ginas Web que incluye muchas imÃ¡genes junto con el texto. El plugin <i>HTMLPlugin</i> tambiÃ©n procesa archivos de imÃ¡genes, pero lo hace de manera diferente a ImagePlugin (por ejemplo, no produce los metadatos descritos arriba).
 <p>
 "
@@ -291,7 +290,5 @@
 . ÐÐµÑÐºÐŸÐ»ÑÐºÐŸ JPEG-ÑÐ°Ð¹Ð»ÐŸÐ² Ð¿ÐŸÐŒÐµÑÐµÐœÑ Ð² ÐŽÐžÑÐµÐºÑÐŸÑÐžÑ ÐžÐŒÐ¿ÐŸÑÑÐ° ÐŽÐŸ ÐžÐŒÐ¿ÐŸÑÑÐžÑÐŸÐ²Ð°ÐœÐžÑ Ðž Ð¿ÐŸÑÑÑÐŸÐµÐœÐžÑ ÐºÐŸÐ»Ð»ÐµÐºÑÐžÐž. Ð ÑÑÐŸ Ð²ÑÐµ.
 <p>
-The images in this collection have been produced by members of the Department of Computer Science, University of Waikato.
-The University of Waikato holds copyright. They may be distributed freely, without any restrictions.
-
+_text1_
 
 
@@ -362,5 +359,5 @@
 
 ÐÐŸÐœÑÐžÐ³ÑÑÐ°ÑÐžÐŸÐœÐœÑÐ¹ ÑÐ°Ð¹Ð» ÐŸÐ¿ÑÐµÐŽÐµÐ»ÑÐµÑ ÐŸÐŽÐžÐœ ÐºÐ»Ð°ÑÑÐžÑÐžÐºÐ°ÑÐŸÑ -- <i>List</i>, ÐŸÑÐœÐŸÐ²Ð°ÐœÐœÑÐ¹ ÐœÐ° ÐŒÐµÑÐ°ÐŽÐ°ÐœÐœÑÑ
- <i>Image</i>, ÐºÐŸÑÐŸÑÑÐ¹ Ð¿ÐŸÐºÐ°Ð·Ð°Ðœ <a href=\"_gwcgi_?l=_cgiargl_&c=_cgiargc_&a=d&cl=CL1\">Ð·ÐŽÐµÑÑ</a>.  ÐÐ¿ÐµÑÐ°ÑÐŸÑ ÑÐŸÑÐŒÐ°ÑÐ° Ð¿ÐŸÐºÐ°Ð·ÑÐ²Ð°ÐµÑ ÑÐŒÐµÐœÑÑÐµÐœÐœÐŸÐµ ÐžÐ·ÐŸÐ±ÑÐ°Ð¶ÐµÐœÐžÐµ Ð²ÐŒÐµÑÑÐµ Ñ ÐœÐµÐºÐŸÑÐŸÑÑÐŒÐž ÐŒÐµÑÐ°ÐŽÐ°ÐœÐœÑÐŒÐž (Ð»ÑÐ±ÑÐµ ÐŽÑÑÐ³ÐžÐµ ÐºÐ»Ð°ÑÑÐžÑÐžÐºÐ°ÑÐŸÑÑ ÐžÐŒÐµÐ»Ðž Ð±Ñ ÑÐŸÑ Ð¶Ðµ ÑÐ°ÐŒÑÐ¹ ÑÐŸÑÐŒÐ°Ñ, ÑÐ°Ðº ÐºÐ°Ðº ÑÑÐŸÑ ÐŸÐ¿ÐµÑÐ°ÑÐŸÑ ÐœÐµ ÐœÐ°Ð·ÑÐ²Ð°ÐµÑ ÐºÐ»Ð°ÑÑÐžÑÐžÐºÐ°ÑÐŸÑ).
+ <i>Image</i>, ÐºÐŸÑÐŸÑÑÐ¹ Ð¿ÐŸÐºÐ°Ð·Ð°Ðœ <a href=\"_gwcgi_?l=_cgiargl_&c=_cgiargc_&a=d&cl=CL1\">Ð·ÐŽÐµÑÑ</a>. ÐÐ¿ÐµÑÐ°ÑÐŸÑ ÑÐŸÑÐŒÐ°ÑÐ° Ð¿ÐŸÐºÐ°Ð·ÑÐ²Ð°ÐµÑ ÑÐŒÐµÐœÑÑÐµÐœÐœÐŸÐµ ÐžÐ·ÐŸÐ±ÑÐ°Ð¶ÐµÐœÐžÐµ Ð²ÐŒÐµÑÑÐµ Ñ ÐœÐµÐºÐŸÑÐŸÑÑÐŒÐž ÐŒÐµÑÐ°ÐŽÐ°ÐœÐœÑÐŒÐž (Ð»ÑÐ±ÑÐµ ÐŽÑÑÐ³ÐžÐµ ÐºÐ»Ð°ÑÑÐžÑÐžÐºÐ°ÑÐŸÑÑ ÐžÐŒÐµÐ»Ðž Ð±Ñ ÑÐŸÑ Ð¶Ðµ ÑÐ°ÐŒÑÐ¹ ÑÐŸÑÐŒÐ°Ñ, ÑÐ°Ðº ÐºÐ°Ðº ÑÑÐŸÑ ÐŸÐ¿ÐµÑÐ°ÑÐŸÑ ÐœÐµ ÐœÐ°Ð·ÑÐ²Ð°ÐµÑ ÐºÐ»Ð°ÑÑÐžÑÐžÐºÐ°ÑÐŸÑ).
 <p>
 
@@ -378,5 +375,5 @@
 <p>
 
-ÐÐŸÐ»ÐµÐµ ÐžÑÑÐµÑÐ¿ÑÐ²Ð°ÑÑÑÑ ÐºÐŸÐ»Ð»ÐµÐºÑÐžÑ ÐžÐ·ÐŸÐ±ÑÐ°Ð¶ÐµÐœÐžÐ¹ ÑÐŒÐŸÑÑÐžÑÐµ Ð² <a href=\"http://www.nzdl.org/cgi-bin/library?a=p&p=about&c=aircraft\">kiwi aircraft images</a> Ð² ÐÐŸÐ²ÐŸÐ·ÐµÐ»Ð°ÐœÐŽÑÐºÐŸÐ¹ ÐŠÐžÑÑÐŸÐ²ÐŸÐ¹ ÐÐžÐ±Ð»ÐžÐŸÑÐµÐºÐµ. Ð¡ÑÑÑÐºÑÑÑÐ° ÑÑÐŸÐ¹ ÐºÐŸÐ»Ð»ÐµÐºÑÐžÐž Ð²ÐµÑÑÐŒÐ° ÐŸÑÐ»ÐžÑÐ°ÐµÑÑÑ, Ð¿ÐŸÑÐºÐŸÐ»ÑÐºÑ ÑÑÐŸ Ðž ÐºÐŸÐ»Ð»ÐµÐºÑÐžÑ Web-ÑÑÑÐ°ÐœÐžÑ, ÐºÐŸÑÐŸÑÐ°Ñ Ð²ÐºÐ»ÑÑÐ°ÐµÑ ÐŒÐœÐŸÐ³ÐŸ ÐžÐ·ÐŸÐ±ÑÐ°Ð¶ÐµÐœÐžÐ¹ ÐœÐ°ÑÑÐŽÑ Ñ ÑÐµÐºÑÑÐŸÐŒ. ÐÐ»Ð°Ð³ÐžÐœ <i>HTMLPlugin</i> ÑÐ°ÐºÐ¶Ðµ ÐŸÐ±ÑÐ°Ð±Ð°ÑÑÐ²Ð°ÐµÑ ÑÐ°Ð¹Ð»Ñ ÐžÐ·ÐŸÐ±ÑÐ°Ð¶ÐµÐœÐžÐ¹, ÐœÐŸ ÐŽÐµÐ»Ð°ÐµÑ ÑÑÐŸ ÑÐ°Ðº ÐŽÑÑÐ³ÐžÐŒ ÑÐ¿ÐŸÑÐŸÐ±ÐŸÐŒ, ÑÐµÐŒ ImagePlugin (ÐœÐ¿ÑÐžÐŒÐµÑ, ÐŸÐœ ÐœÐµ Ð³ÐµÐœÐµÑÐžÑÑÐµÑ ÐŒÐµÑÐ°ÐŽÐ°ÐœÐœÑÐµ, ÐŸÐ¿ÐžÑÐ°ÐœÐœÑÐµ Ð²ÑÑÐµ). 
+ÐÐŸÐ»ÐµÐµ ÐžÑÑÐµÑÐ¿ÑÐ²Ð°ÑÑÑÑ ÐºÐŸÐ»Ð»ÐµÐºÑÐžÑ ÐžÐ·ÐŸÐ±ÑÐ°Ð¶ÐµÐœÐžÐ¹ ÑÐŒÐŸÑÑÐžÑÐµ Ð² <a href=\"http://www.nzdl.org/cgi-bin/library?a=p&p=about&c=aircraft\">kiwi aircraft images</a> Ð² ÐÐŸÐ²ÐŸÐ·ÐµÐ»Ð°ÐœÐŽÑÐºÐŸÐ¹ ÐŠÐžÑÑÐŸÐ²ÐŸÐ¹ ÐÐžÐ±Ð»ÐžÐŸÑÐµÐºÐµ. Ð¡ÑÑÑÐºÑÑÑÐ° ÑÑÐŸÐ¹ ÐºÐŸÐ»Ð»ÐµÐºÑÐžÐž Ð²ÐµÑÑÐŒÐ° ÐŸÑÐ»ÐžÑÐ°ÐµÑÑÑ, Ð¿ÐŸÑÐºÐŸÐ»ÑÐºÑ ÑÑÐŸ Ðž ÐºÐŸÐ»Ð»ÐµÐºÑÐžÑ Web-ÑÑÑÐ°ÐœÐžÑ, ÐºÐŸÑÐŸÑÐ°Ñ Ð²ÐºÐ»ÑÑÐ°ÐµÑ ÐŒÐœÐŸÐ³ÐŸ ÐžÐ·ÐŸÐ±ÑÐ°Ð¶ÐµÐœÐžÐ¹ ÐœÐ°ÑÑÐŽÑ Ñ ÑÐµÐºÑÑÐŸÐŒ. ÐÐ»Ð°Ð³ÐžÐœ <i>HTMLPlugin</i> ÑÐ°ÐºÐ¶Ðµ ÐŸÐ±ÑÐ°Ð±Ð°ÑÑÐ²Ð°ÐµÑ ÑÐ°Ð¹Ð»Ñ ÐžÐ·ÐŸÐ±ÑÐ°Ð¶ÐµÐœÐžÐ¹, ÐœÐŸ ÐŽÐµÐ»Ð°ÐµÑ ÑÑÐŸ ÑÐ°Ðº ÐŽÑÑÐ³ÐžÐŒ ÑÐ¿ÐŸÑÐŸÐ±ÐŸÐŒ, ÑÐµÐŒ ImagePlugin (ÐœÐ¿ÑÐžÐŒÐµÑ, ÐŸÐœ ÐœÐµ Ð³ÐµÐœÐµÑÐžÑÑÐµÑ ÐŒÐµÑÐ°ÐŽÐ°ÐœÐœÑÐµ, ÐŸÐ¿ÐžÑÐ°ÐœÐœÑÐµ Ð²ÑÑÐµ).
 <p>
 "