Index: /collections/documented-examples/trunk/marc-e/etc/collect.cfg
===================================================================
--- /collections/documented-examples/trunk/marc-e/etc/collect.cfg	(revision 19372)
+++ /collections/documented-examples/trunk/marc-e/etc/collect.cfg	(revision 19373)
@@ -10,13 +10,13 @@
 levels	document
 
-plugin		GreenstoneXMLPlugin
-plugin		MARCPlugin -OIDtype incremental
-plugin		MetadataXMLPlugin
-plugin		ArchivesInfPlugin
-plugin		DirectoryPlugin
-
-classify	AZList -metadata dc.Title -removesuffix \\s*(\\/|;|,|\\.).* 
-classify	AZCompactList -metadata dc.Creator -removesuffix (b\\.\\s+)?(\\d+(\\-?))(\\d+(\\.)?)? 
-classify	AZCompactList -metadata dc.Subject 
+plugin	GreenstoneXMLPlugin
+plugin	MARCPlugin -OIDtype incremental
+plugin	MetadataXMLPlugin
+plugin	ArchivesInfPlugin
+plugin	DirectoryPlugin
+
+classify	AZList -metadata dc.Title -removesuffix \\s*(\\/|;|,|\\.).*
+classify	AZCompactList -metadata dc.Creator -removesuffix (b\\.\\s+)?(\\d+(\\-?))(\\d+(\\.)?)?
+classify	AZCompactList -metadata "dc.Subject"
 
 format VList "<td>[link][icon][/link]</td>
@@ -40,5 +40,5 @@
 collectionmeta	.Source [l=en] "_labelSource_"
 
-collectionmeta sampleoid "D0s156"
+collectionmeta	sampleoid [l=en] "D0s156"
 
 # -- English strings ----------------
@@ -68,5 +68,5 @@
 <i>dc.Creator</i> respectively). This is specified as a PERL regular
 expression, and trims characters (such as trailing punctuation)
-from the strings for display. 
+from the strings for display.
 <p>
 The <i>VList</i> format statement controls the display of search results and all classifiers. For bookshelves, the number of leaf documents is displayed on the right-hand side. For documents, <i>dc.Title</i> is displayed, along with <i>dc.Creator</i> and <i>dc.Publisher</i>. <i>[sibling:dc.Creator]</i> is used as dc.Creator has multiple values, and specifies that all values be output, not just the first one.
@@ -91,7 +91,7 @@
 (which assumes USMARC/MARC21).
 <p>
-Multiple MARC fields may map to a single Dublin Core field. 
-For example, fields 720 (\"Uncontrolled name\"), 100 (\"Personal name\"), 
-110 (\"Corporate name\") and  111 (\"Meeting name\") all map to 
+Multiple MARC fields may map to a single Dublin Core field.
+For example, fields 720 (\"Uncontrolled name\"), 100 (\"Personal name\"),
+110 (\"Corporate name\") and 111 (\"Meeting name\") all map to
 <i>dc.Creator</i>. Actual MARC records normally
 define only one of these fields, and anyway Greenstone allows
@@ -101,8 +101,8 @@
 information about publication and distribution. Subfields \"c\" (Date of Publication) and \"g\" (Date of manufacture) are mapped to <i>dc.Date</i>, using the following mapping line:
 <blockquote>
-260$c$g     -&gt; dc.Date
-</blockquote>
-
-Greenstone also provides a file for mapping MARC to <b>qualified</b> dublin core: <a href=\"_httpprefix_/etc/marc2qdc.txt\" target=marc2qdc>greenstone/etc/marc2qdc.txt</a>. This can be used by the MARC plugin by setting the <i>-metadata_mapping_file</i> option to \"marc2qdc.txt\". 
+260$c$g -&gt; dc.Date
+</blockquote>
+
+Greenstone also provides a file for mapping MARC to <b>qualified</b> dublin core: <a href=\"_httpprefix_/etc/marc2qdc.txt\" target=marc2qdc>greenstone/etc/marc2qdc.txt</a>. This can be used by the MARC plugin by setting the <i>-metadata_mapping_file</i> option to \"marc2qdc.txt\".
 "
 
@@ -117,6 +117,6 @@
 Le <a href=\"_httpcollection_/etc/collect.cfg\" target=collect.cfg>fichier de configuration</a> utilise <i>ZipPlug</i> et <i>MarcPlug</i> Ã  cotÃ© des trois qui sont utilisÃ©s en standard.
 Il y a trois classificateurs basÃ©s sur les mÃ©ta-donnÃ©es <i>dc.Title</i>, <i>dc.Creator</i> et <i>dc.Subject</i>. _text1_
- Ceci est spÃ©cifiÃ© comme une expression
-rÃ©guliÃšre de PERL et ajuste pour l\'affichage des caractÃšres (comme une ponctuation finale). 
+Ceci est spÃ©cifiÃ© comme une expression
+rÃ©guliÃšre de PERL et ajuste pour l\'affichage des caractÃšres (comme une ponctuation finale).
 <p>
 _text2_
@@ -146,7 +146,7 @@
 <p>
 
-El <a href=\"_httpcollection_/etc/collect.cfg\" target=collect.cfg>archivo de configuraciÃ³n</a> utiliza <i>MARCPlugin</i> ademÃ¡s de los tres plugins estÃ¡ndar. Existen tres clasificadores basados en los metadatos <i>dc.TÃ­tulo</i>, <i>dc.Creador</i> y <i>dc.Asunto</i>. El clasificador <i>dc.Title</i> es una AZList, mientras que los otros dos son AZCompactList, que agrupa items con el mismo metadato en un "estante". El argumento <i>-removesuffix</i> para el clasificador por <i>Title</i> y por <i>Creator</i> remueve los sufijos de la cadena de caracteres (<i>dc.Title</i> y <i>dc.Creator</i> respectivamente). Esto se especifica como una expresiÃ³n regular PERL y ordena los caracteres (como la puntuaciÃ³n que se encuentra al final) a partir de las cadenas para su presentaciÃ³n en pantalla. 
-<p>
-La cadena de formateo <i>VList</i> controla la forma en la que se muestran los resultados y todos los clasificadores. Para los estantes, el nÃºmero de documentos contenidos se muestra en la parte derecha. Para los documentos, se muestra el metadato <i>dc.Title</i>, junto al <i>dc.Creator</i> y el   <i>dc.Publisher</i>. <i>[sibling:dc.Creator]</i> se utiliza debido a que dc.Creator tiene mÃºltiples valores, y especifica que se deben mostrar todos los valores, no solamente el primero.
+El <a href=\"_httpcollection_/etc/collect.cfg\" target=collect.cfg>archivo de configuraciÃ³n</a> utiliza <i>MARCPlugin</i> ademÃ¡s de los tres plugins estÃ¡ndar. Existen tres clasificadores basados en los metadatos <i>dc.TÃ­tulo</i>, <i>dc.Creador</i> y <i>dc.Asunto</i>. El clasificador <i>dc.Title</i> es una AZList, mientras que los otros dos son AZCompactList, que agrupa items con el mismo metadato en un \"estante\". El argumento <i>-removesuffix</i> para el clasificador por <i>Title</i> y por <i>Creator</i> remueve los sufijos de la cadena de caracteres (<i>dc.Title</i> y <i>dc.Creator</i> respectivamente). Esto se especifica como una expresiÃ³n regular PERL y ordena los caracteres (como la puntuaciÃ³n que se encuentra al final) a partir de las cadenas para su presentaciÃ³n en pantalla.
+<p>
+La cadena de formateo <i>VList</i> controla la forma en la que se muestran los resultados y todos los clasificadores. Para los estantes, el nÃºmero de documentos contenidos se muestra en la parte derecha. Para los documentos, se muestra el metadato <i>dc.Title</i>, junto al <i>dc.Creator</i> y el <i>dc.Publisher</i>. <i>[sibling:dc.Creator]</i> se utiliza debido a que dc.Creator tiene mÃºltiples valores, y especifica que se deben mostrar todos los valores, no solamente el primero.
 
 <p>
@@ -165,11 +165,11 @@
 La versiÃ³n estÃ¡ndar de este archivo se basa libremente en el mapeo de MARC a Dublin Core que se encuentra en <a href=\"http://www.loc.gov/marc/marc2dc.html\">http://www.loc.gov/marc/marc2dc.html</a> (el cual asume USMARC/MARC21).
 
-MÃºltiples campos MARC pueden mapearse a un mismo campo Dublin Core. 
-Por ejemplo, los campos 720 (\"Uncontrolled name\"), 100 (\"Personal name\"), 
+MÃºltiples campos MARC pueden mapearse a un mismo campo Dublin Core.
+Por ejemplo, los campos 720 (\"Uncontrolled name\"), 100 (\"Personal name\"),
 110 (\"Corporate name\") y 111 (\"Meeting name\") mapean todos a <i>dc.Creator</i>. Los registros actuales de MARC normalmente definen solo uno de esos campos, pero de cualquier manera Greenstone permite metadatos multivalor. \n
 <p>
-Algunos mapeos dependen de los subcampos. Por ejemplo, el campo MARC 260 contiene informaciÃ³n sobre la publicaciÃ³n y la distribuciÃ³n. Subcampos \"c\" (Date of Publication) y \"g\" (Date of manufacture) son mapeados a <i>dc.Date</i>, usando la siguiente linea de configuraciÃ³n: 
-<blockquote>
-260$c$g     -&gt; dc.Date
+Algunos mapeos dependen de los subcampos. Por ejemplo, el campo MARC 260 contiene informaciÃ³n sobre la publicaciÃ³n y la distribuciÃ³n. Subcampos \"c\" (Date of Publication) y \"g\" (Date of manufacture) son mapeados a <i>dc.Date</i>, usando la siguiente linea de configuraciÃ³n:
+<blockquote>
+260$c$g -&gt; dc.Date
 </blockquote>
 
@@ -185,6 +185,6 @@
 
 <a href=\"_httpcollection_/etc/collect.cfg\" target=collect.cfg>ÐÐŸÐœÑÐžÐ³ÑÑÐ°ÑÐžÐŸÐœÐœÑÐ¹ ÑÐ°Ð¹Ð»</a> ÐžÑÐ¿ÐŸÐ»ÑÐ·ÑÐµÑ Ð¿Ð»Ð°Ð³ÐžÐœÑ <i>ZIPPlug</i> Ðž <i>MARCPlug</i>, Ð¿ÐŸÐŒÐžÐŒÐŸ ÑÑÐµÑÑÐµÐ³ÐŸ ÑÑÐ°ÐœÐŽÐ°ÑÑÐ°. ÐÐŒÐµÑÑÑÑ ÑÑÐž ÐºÐ»Ð°ÑÑÐžÑÐžÐºÐ°ÑÐŸÑÐ°, ÐŸÑÐœÐŸÐ²Ð°ÐœÐœÑÐµ ÐœÐ° ÐŒÐµÑÐ°ÐŽÐ°ÐœÐœÑÑ
- <i>ÐÐ°Ð·Ð²Ð°ÐœÐžÑ (dc.Title)</i>, <i>Ð¡ÐŸÐ·ÐŽÐ°ÑÐµÐ»Ñ (dc.Creator)</i> Ðž <i>ÐÑÐµÐŽÐŒÐµÑÐ° (dc.Subject)</i>. _text1_  Ð­ÑÐŸ ÑÑÐµÐ±ÑÐµÑ ÑÑÑÐ°ÐœÐŸÐ²ÐºÐž PERL ÐŽÐ»Ñ Ð¿ÑÐ°Ð²ÐžÐ»ÑÐœÐŸÐ³ÐŸ Ð²ÑÑÐ°Ð¶ÐµÐœÐžÑ, Ðž ÑÑÐµÐ·Ð°ÐµÑ Ð·ÐœÐ°ÐºÐž (ÑÐžÐ¿Ð° ÐºÐŸÐœÐµÑÐœÑÑ
- Ð·ÐœÐ°ÐºÐŸÐ² Ð¿ÑÐµÐ¿ÐžÐœÐ°ÐœÐžÑ) ÐžÐ· ÑÑÑÐŸÐºÐž ÐŽÐ»Ñ ÐŸÑÐŸÐ±ÑÐ°Ð¶ÐµÐœÐžÑ. 
+ <i>ÐÐ°Ð·Ð²Ð°ÐœÐžÑ (dc.Title)</i>, <i>Ð¡ÐŸÐ·ÐŽÐ°ÑÐµÐ»Ñ (dc.Creator)</i> Ðž <i>ÐÑÐµÐŽÐŒÐµÑÐ° (dc.Subject)</i>. _text1_ Ð­ÑÐŸ ÑÑÐµÐ±ÑÐµÑ ÑÑÑÐ°ÐœÐŸÐ²ÐºÐž PERL ÐŽÐ»Ñ Ð¿ÑÐ°Ð²ÐžÐ»ÑÐœÐŸÐ³ÐŸ Ð²ÑÑÐ°Ð¶ÐµÐœÐžÑ, Ðž ÑÑÐµÐ·Ð°ÐµÑ Ð·ÐœÐ°ÐºÐž (ÑÐžÐ¿Ð° ÐºÐŸÐœÐµÑÐœÑÑ
+ Ð·ÐœÐ°ÐºÐŸÐ² Ð¿ÑÐµÐ¿ÐžÐœÐ°ÐœÐžÑ) ÐžÐ· ÑÑÑÐŸÐºÐž ÐŽÐ»Ñ ÐŸÑÐŸÐ±ÑÐ°Ð¶ÐµÐœÐžÑ.
 <p>
 _text2_
@@ -199,8 +199,8 @@
 &lt;MARC field number&gt; -&gt; GreenstoneMetadataName
 </blockquote>
-Ð¡ÑÑÐŸÐºÐž Ð² ÐŽÐ°ÐœÐœÐŸÐŒ ÑÐ°Ð¹Ð»Ðµ, ÐºÐŸÑÐŸÑÑÐµ ÐœÐ°ÑÐžÐœÐ°ÑÑÑÑ ÑÐŸ Ð·ÐœÐ°ÐºÐ° \"\#\", ÑÐ²Ð»ÑÑÑÑÑ ÐºÐŸÐŒÐŒÐµÐœÑÐ°ÑÐžÑÐŒÐž. 
-<p>
-
-Ð¡ÑÐ°ÐœÐŽÐ°ÑÑÐœÐ°Ñ Ð²ÐµÑÑÐžÑ ÑÑÐŸÐ³ÐŸ ÑÐ°Ð¹Ð»Ð° ÑÐ²ÐŸÐ±ÐŸÐŽÐœÐŸ Ð±Ð°Ð·ÐžÑÑÐµÑÑÑ ÐœÐ° MARC Ð² ÐŸÐ¿ÐžÑÐ°ÐœÐžÐž Dublin Core, ÐºÐŸÑÐŸÑÐŸÐµ Ð²ÐŸÑÐ¿ÑÐžÐœÐžÐŒÐ°ÐµÑ USMARC/MARC21 Ðž ÐºÐŸÑÐŸÑÐŸÐµ ÐŒÐŸÐ¶ÐœÐŸ ÐœÐ°Ð¹ÑÐž ÐœÐ° <a href=\"http://www.loc.gov/marc/marc2dc.html\">http://www.loc.gov/marc/marc2dc.html</a>. 
+Ð¡ÑÑÐŸÐºÐž Ð² ÐŽÐ°ÐœÐœÐŸÐŒ ÑÐ°Ð¹Ð»Ðµ, ÐºÐŸÑÐŸÑÑÐµ ÐœÐ°ÑÐžÐœÐ°ÑÑÑÑ ÑÐŸ Ð·ÐœÐ°ÐºÐ° \"\#\", ÑÐ²Ð»ÑÑÑÑÑ ÐºÐŸÐŒÐŒÐµÐœÑÐ°ÑÐžÑÐŒÐž.
+<p>
+
+Ð¡ÑÐ°ÐœÐŽÐ°ÑÑÐœÐ°Ñ Ð²ÐµÑÑÐžÑ ÑÑÐŸÐ³ÐŸ ÑÐ°Ð¹Ð»Ð° ÑÐ²ÐŸÐ±ÐŸÐŽÐœÐŸ Ð±Ð°Ð·ÐžÑÑÐµÑÑÑ ÐœÐ° MARC Ð² ÐŸÐ¿ÐžÑÐ°ÐœÐžÐž Dublin Core, ÐºÐŸÑÐŸÑÐŸÐµ Ð²ÐŸÑÐ¿ÑÐžÐœÐžÐŒÐ°ÐµÑ USMARC/MARC21 Ðž ÐºÐŸÑÐŸÑÐŸÐµ ÐŒÐŸÐ¶ÐœÐŸ ÐœÐ°Ð¹ÑÐž ÐœÐ° <a href=\"http://www.loc.gov/marc/marc2dc.html\">http://www.loc.gov/marc/marc2dc.html</a>.
 
 _text3_